﻿using System;
using com.epson.bank.driver;

namespace TMS_Sample
{
	class CEndorseParam
	{
		PrintingStation m_eEndorseType;
		bool m_bEnableEndorsePrint;
		bool m_bPayeeEndorse;

		public CEndorseParam()
		{
			m_eEndorseType = PrintingStation.MF_ST_PHYSICAL_ENDORSEMENT;
			m_bEnableEndorsePrint = false;
			m_bPayeeEndorse = false;
		}

		public void SetEndorseType(PrintingStation eEndorseType)
		{
			m_eEndorseType = eEndorseType;
		}

		public PrintingStation GetEndorseType()
		{
			return m_eEndorseType;
		}

		public void	SetEnableEndorsePrint(bool bEnableEndorsePrint)
		{
			m_bEnableEndorsePrint = bEnableEndorsePrint;
		}

		public bool	GetEnableEndorsePrint()
		{
			return m_bEnableEndorsePrint;
		}

		public void	SetPayeeEndorse(bool bPayeeEndorse)
		{
			m_bPayeeEndorse = bPayeeEndorse;
		}

		public bool	GetPayeeEndorse()
		{
			return m_bPayeeEndorse;
		}
	}
}
