// Resource String

// Main Dialog
// Step 1
#define STR_SAMPLEDLG_TITLE					_T("TM-S Sample Program")
#define STR_SAMPLEDLG_BUTTON_SCAN			_T("Scan")
#define STR_SAMPLEDLG_BUTTON_SCANCANCEL		_T("Cancel")
#define STR_SAMPLEDLG_BUTTON_EXIT			_T("Exit")

// Step 2
#define STR_SAMPLEDLG_BUTTON_CONFIG			_T("Configuration")

// Step 3
#define STR_SAMPLEDLG_STATIC_MICRTEXT		_T("MICR")
#define STR_SAMPLEDLG_BUTTON_MICRCLEANING	_T("MICR Cleaning")

// Config Dialog
// Step 2
#define STR_CONFIGDLG_BUTTON_OK				_T("OK")
#define STR_CONFIGDLG_BUTTON_CANCEL			_T("Cancel")

#define STR_CONFIGDLG_GROUP_SCANNING		_T("Scan")
#define STR_CONFIGDLG_GROUP_SCANNINGMEDIA	_T("Media")
#define STR_CONFIGDLG_GROUP_LIGHTSOURCE		_T("Scan Type")
#define STR_CONFIGDLG_GROUP_RGBCOLORDEPTH	_T("RGB Image Type")
#define STR_CONFIGDLG_GROUP_IRCOLORDEPTH	_T("IR Image Type")
#define STR_CONFIGDLG_STATIC_RESOLUTION		_T("Resolution")
#define STR_CONFIGDLG_RADIO_SM_CHECKPAPER	_T("Check")
#define STR_CONFIGDLG_RADIO_SM_CARD			_T("Card")
#define STR_CONFIGDLG_RADIO_IC_RGB			_T("RGB")
#define STR_CONFIGDLG_RADIO_IC_IR			_T("IR")
#define STR_CONFIGDLG_RADIO_IC_RGBIR		_T("RGB+IR")
#define STR_CONFIGDLG_RADIO_RGBCD_COLOR		_T("Color")
#define STR_CONFIGDLG_RADIO_RGBCD_GRAY		_T("Grayscale")
#define STR_CONFIGDLG_RADIO_RGBCD_BW		_T("B / W")
#define STR_CONFIGDLG_RADIO_IRCD_GRAY		_T("Grayscale")
#define STR_CONFIGDLG_RADIO_IRCD_BW			_T("B / W")
#define STR_CONFIGDLG_CHECK_SC_SAVEFILE		_T("Save to harddisk")

#define STR_CONFIGDLG_COMBO_RE_600600		_T("600dpi x 600dpi")
#define STR_CONFIGDLG_COMBO_RE_300300		_T("300dpi x 300dpi")
#define STR_CONFIGDLG_COMBO_RE_240240		_T("240dpi x 240dpi")
#define STR_CONFIGDLG_COMBO_RE_200200		_T("200dpi x 200dpi")
#define STR_CONFIGDLG_COMBO_RE_120120		_T("120dpi x 120dpi")
#define STR_CONFIGDLG_COMBO_RE_100100		_T("100dpi x 100dpi")

// Step 3
#define STR_CONFIGDLG_GROUP_MICR			_T("MICR")
#define STR_CONFIGDLG_GROUP_MICRFONT		_T("MICR Font")
#define STR_CONFIGDLG_RADIO_MF_E13B			_T("E13B")
#define STR_CONFIGDLG_RADIO_MF_CMC7			_T("CMC7")
#define STR_CONFIGDLG_CHECK_MI_CLEARSPACE	_T("Clear Spaces")
#define STR_CONFIGDLG_CHECK_MI_SAVEFILE		_T("Save to harddisk")

// Message String
#define MSG_00_000		_T("Cannot communicate with the scanner.\nMake sure the scanner is connected and is powered on.")
#define MSG_00_001		_T("Failed to open ini file. \nPlease put it in the same folder the executable file is located.")
#define MSG_00_002		_T("Failed to open bmp file. \nPlease put it in the same folder the executable file is located.")
#define MSG_01_000		_T("No roll paper.\ninstall roll paper, close the cover and then click OK.")
#define MSG_01_001		_T("Cover is open.\nClose the cover and then click OK.")
#define MSG_01_002		_T("Ink is low.\nReplace the ink cartridge.")
#define MSG_02_000		_T("Paper jam occurred.\nRemove jammed paper and then click OK.")
#define MSG_03_000		_T("Undefined parameter.")
#define MSG_03_001		_T("The port is already used by the other application.\n Close the application.")
#define MSG_03_002		_T("Device is powered off or is not connected..\n Check the device status.")
#define MSG_03_003		_T("The installed USB driver is not supported.\nInstall the correct driver.")
#define MSG_03_004		_T("Insufficient memory.\n Close other applications or add more memory.")
#define MSG_03_005		_T("The handle parameter is incorrect.\n Ensure the handle parameter is the return value of BiOpenMonPrinter.")
#define MSG_03_006		_T("API is not finished correctly.\n Check the device status.")
#define MSG_03_007		_T("Accessing device is not possible.\n The device is used by another application.\nClose other applications and try again.")
#define MSG_03_008		_T("Incorrect parameter.")
#define MSG_03_009		_T("This API is not available.\n Ensure BiESCNEnable is called.")
#define MSG_03_010		_T("The device is offline.\n Check the device status and try again.")
#define MSG_03_011		_T("The device is not EPSON product.")
#define MSG_03_012_00	_T("The callback is not registered.")
#define MSG_03_012_01	_T("The scanner is not in operation.\n Call it while the scanner is scanning.")
#define MSG_03_013		_T("Insufficient memory.")
#define MSG_03_014		_T("Incorrect registry information.. \nReinstall the driver.")
#define MSG_03_015		_T("Paper insertion timeout.\nInsert the paper and try again.")
#define MSG_03_016		_T("Another API is running.\n Retry after it completed.")
#define MSG_03_017		_T("Cannot execute because MICR reading is in progress.\nTry again when it is completed.")
#define MSG_03_018		_T("Cannot execute because scanning is in progress.\nTry again when it is completed.")
#define MSG_03_019		_T("The device is being reset.\n Try again after the reset is completed.")
#define MSG_03_020		_T("Reading operation is canceled.")
#define MSG_03_021		_T("MICR reading failed.")
#define MSG_03_022		_T("Image scanning failed.")
#define MSG_03_023		_T("Too many lines to print. \n Reduce the lines.")
#define MSG_03_024		_T("Double feed is detected.")
#define MSG_03_025		_T("Paper jam occurred.\n Operation is canceled.")
#define MSG_03_026		_T("Cover open.\n Operation is canceled.")
#define MSG_03_027		_T("No MICR data.")
#define MSG_03_028		_T("MICR data is incorrect.")
#define MSG_03_029		_T("External noise error.")
#define MSG_03_030		_T("Image compressing error.\nProcessing is canceled.")
#define MSG_03_031		_T("Paper exists on the feed path. \nRemove the paper.")
#define MSG_03_032		_T("Paper insertion error.")
#define MSG_03_033		_T("Cannot execute because continuous scanning is in progress.\n Try again when it is completed.")
#define MSG_03_034		_T("Cannot execute because one by one scanning is in progress.\nTry again when it is completed.")
#define MSG_03_035		_T("Cannot execute because card scanning is in progress.\n Try again when it is completed.")
#define MSG_03_036		_T("Cannot execute because another application is printing on roll paper.\n Try again after printing is completed.")
#define MSG_03_037		_T("Cannot execute because another application is printing on cut sheet paper.\n Try again after printing is completed.")
#define MSG_03_038		_T("Failed to start a thread.")
#define MSG_03_039		_T("Failed to open a file.\nCheck file path or authority.")
#define MSG_03_040		_T("Specified file format is incorrect.\nSet correct file format.")
#define MSG_03_041		_T("Cannot print in specified size.\nSet printing area correctly.")
#define MSG_03_042		_T("Data not found.")
#define MSG_03_043		_T("Scanning is not started.\n Try again.")
#define MSG_03_044		_T("Failed to detect barcode.")
#define MSG_03_045		_T("Failed to parse the MICR strings.")
#define MSG_03_046		_T("It did not pass in IQA test.")
#define MSG_03_047		_T("Printing data length exceeds the paper size.")
#define MSG_03_048		_T("Printing data is not received.")
#define MSG_03_049		_T("Image file read error.")
#define MSG_03_050		_T("Ink is low.\nReplace the ink cartridge.")
#define MSG_04_000		_T("Already launched the application.")
#define MSG_05_000		_T("Cannot create a folder.")
#define MSG_05_001		_T("Cannot create a file.")
#define MSG_06_000		_T("Failed to load a module.\r\nPlease make sure the driver is installed.")

#define CAPTION_00_000	_T("SUCCESS")
#define CAPTION_01_000	_T("Roll Paper Empty")
#define CAPTION_01_001	_T("Cover Open")
#define CAPTION_01_002	_T("Replace ink cartridge")
#define CAPTION_02_000	_T("Paper Jam Error")
#define CAPTION_03_000	_T("ERR_TYPE (-10)")
#define CAPTION_03_001	_T("ERR_OPENED (-20)")
#define CAPTION_03_002	_T("ERR_NO_PRINTER (-30)")
#define CAPTION_03_003	_T("ERR_NO_TARGET(-40)")
#define CAPTION_03_004	_T("ERR_NO_MEMORY (-50)")
#define CAPTION_03_005	_T("ERR_HANDLE (-60)")
#define CAPTION_03_006	_T("ERR_TIMEOUT (-70)")
#define CAPTION_03_007	_T("ERR_ACCESS (-80)")
#define CAPTION_03_008	_T("ERR_PARAM (-90)")
#define CAPTION_03_009	_T("ERR_NOT_SUPPORT (-100)")
#define CAPTION_03_010	_T("ERR_OFFLINE (-110)")
#define CAPTION_03_011	_T("ERR_NOT_EPSON (-120)")
#define CAPTION_03_012	_T("ERR_WITHOUT_CB (-130)")
#define CAPTION_03_013	_T("ERR_BUFFER_OVER_FLOW (-140)")
#define CAPTION_03_014	_T("ERR_REGISTRY (-150)")
#define CAPTION_03_015	_T("ERR_PAPERINSERT_TIMEOUT (-300)")
#define CAPTION_03_016	_T("ERR_EXEC_FUNCTION (-310)")
#define CAPTION_03_017	_T("ERR_EXEC_MICR (-320)")
#define CAPTION_03_018	_T("ERR_EXEC_SCAN (-330)")
#define CAPTION_03_019	_T("ERR_RESET(-400)")
#define CAPTION_03_020	_T("ERR_ABORT (-430)")
#define CAPTION_03_021	_T("ERR_MICR (-440)")
#define CAPTION_03_022	_T("ERR_SCAN (-450)")
#define CAPTION_03_023	_T("ERR_LINE_OVERFLOW (-460)")
#define CAPTION_03_024	_T("ERR_PAPER_PILED(-1010)")
#define CAPTION_03_025	_T("ERR_PAPER_JAM(-1020)")
#define CAPTION_03_026	_T("ERR_COVER_OPEN(-1030)")
#define CAPTION_03_027	_T("ERR_MICR_NODATA(-1040)")
#define CAPTION_03_028	_T("ERR_MICR_BADDATA(-1050)")
#define CAPTION_03_029	_T("ERR_MICR_NOISE(-1070)")
#define CAPTION_03_030	_T("ERR_SCN_COMPRESS(-1080)")
#define CAPTION_03_031	_T("ERR_PAPER_EXIST(-1090)")
#define CAPTION_03_032	_T("ERR_PAPER_INSERT(-1100)")
#define CAPTION_03_033	_T("ERR_EXEC_SCAN_CHECK_CONTINUOUS (-2000)")
#define CAPTION_03_034	_T("ERR_EXEC_SCAN_CHECK_ONEBYONE (-2010)")
#define CAPTION_03_035	_T("ERR_EXEC_SCAN_IDCARD (-2020)")
#define CAPTION_03_036	_T("ERR_EXEC_PRINT_ROLLPAPER (-2030)")
#define CAPTION_03_037	_T("ERR_EXEC_PRINT_VALIDATION (-2040)")
#define CAPTION_03_038	_T("ERR_THREAD (-420)")
#define CAPTION_03_039	_T("ERR_IMAGE_FILEOPEN(-230)")
#define CAPTION_03_040	_T("ERR_IMAGE_UNKNOWNFORMAT(-240)")
#define CAPTION_03_041	_T("ERR_SIZE(-1000)")
#define CAPTION_03_042	_T("ERR_NOT_FOUND (-220)")
#define CAPTION_03_043	_T("ERR_NOT_EXEC (-470)")
#define CAPTION_03_044	_T("ERR_BARCODE_NODATA(-1130)")
#define CAPTION_03_045	_T("ERR_MICR_PARSE(-1060)")
#define CAPTION_03_046	_T("ERR_SCN_IQA(-1120)")
#define CAPTION_03_047	_T("ERR_PRINT_DATA_LENGTH_EXCEED(-1180)")
#define CAPTION_03_048	_T("ERR_PRINT_DATA_UNRECEIVE(-1190)")
#define CAPTION_03_049	_T("ERR_IMAGE_FILEREAD(-290)")
#define CAPTION_03_051	_T("ERR_INK_STATUS(-1200)")
#define CAPTION_04_000	_T("Duplicate Running")
#define CAPTION_05_000	_T("Fail to Create Folder")
#define CAPTION_05_001	_T("Fail to Create File")
#define CAPTION_06_000	_T("Fail to Load Module")
