#include "stdafx.h"
#include "ImageResult.h"

CImageResult::CImageResult(void)
{
	m_dwTransactionNumber = 0;
	m_pbyImage = NULL;
	m_dwImageSize   = 0;
	m_dwImageWidth  = 0;
	m_dwImageHeight = 0;
	m_byFace = 0;
	m_byLightSource = 0;
	m_byFormat = 0;
}

CImageResult::~CImageResult(void)
{
	FreeImage();
}

void CImageResult::SetTransactionNumber(DWORD dwTransactionNumber)
{
	m_dwTransactionNumber = dwTransactionNumber;
}

DWORD CImageResult::GetTransactionNumber(void)
{
	return m_dwTransactionNumber;
}

void CImageResult::SetImage(LPBYTE lpbyScanData)
{
	if(m_pbyImage != NULL)
	{
		::GlobalFree(m_pbyImage);
	}
	m_pbyImage = lpbyScanData;
}

LPBYTE CImageResult::GetImage(void)
{
	return m_pbyImage;
}

void CImageResult::SetImageSize(DWORD dwImageSize)
{
	m_dwImageSize = dwImageSize;
}

DWORD CImageResult::GetImageSize(void)
{
	return m_dwImageSize;
}

void CImageResult::SetImageWidth(DWORD dwImageWidth)
{
	m_dwImageWidth = dwImageWidth;
}

DWORD CImageResult::GetImageWidth(void)
{
	return m_dwImageWidth;
}

void CImageResult::SetImageHeight(DWORD dwImageHeight)
{
	m_dwImageHeight = dwImageHeight;
}

DWORD CImageResult::GetImageHeight(void)
{
	return m_dwImageHeight;
}

void CImageResult::SetFace(BYTE byFace)
{
	m_byFace = byFace;
}

BYTE CImageResult::GetFace(void)
{
	return m_byFace;
}

void CImageResult::SetLightSource(BYTE byLightSource)
{
	m_byLightSource = byLightSource;
}

BYTE CImageResult::GetLightSource(void)
{
	return m_byLightSource;
}

void CImageResult::SetResolution(short sResolution)
{
	m_sResolution = sResolution;
}

short CImageResult::GetResolution(void)
{
	return m_sResolution;
}

void CImageResult::SetColorDepth(BYTE byColorDepth)
{
	m_byColorDepth = byColorDepth;
}

BYTE CImageResult::GetColorDepth(void)
{
	return m_byColorDepth;
}

void CImageResult::SetFormat(BYTE byFormat)
{
	m_byFormat = byFormat;
}

BYTE CImageResult::GetFormat(void)
{
	return m_byFormat;
}

void CImageResult::FreeImage(void)
{
	if(m_pbyImage != NULL)
	{
		::GlobalFree(m_pbyImage);
		m_pbyImage = NULL;
		m_dwImageSize = 0;
		m_dwTransactionNumber = 0;
	}
}
