#include "stdafx.h"
#include "DeviceStatus.h"

CDeviceStatus::CDeviceStatus(void)
{
	m_bNoResponse			= false;
	m_bOffLine				= false;
	m_bCoverOpen			= false;
	m_bWaitPaperEject		= false;
	m_bMechanicalError		= false;
	m_bUnrecoverError		= false;
	m_bPaperInsermadiate	= false;
	m_bReceiptNearEnd		= false; // S9000 only
	m_bEjectSensorPaper		= false;
	m_bReceiptEnd			= false; // S9000 only
	m_bSlipPaperSize		= false;
	m_bAsfPaper				= false;
	m_bWaitInsert			= false;
	m_bMainPocketNearFull	= false;
	m_bSubPocketNearFull	= false;
}

CDeviceStatus::~CDeviceStatus(void)
{
}

void CDeviceStatus::SetNoResponse(bool bNoResponse)
{
	m_bNoResponse = bNoResponse;
}

bool CDeviceStatus::GetNoResponse(void)
{
	return m_bNoResponse;
}

void CDeviceStatus::SetOffLine(bool bOffLine)
{
	m_bOffLine = bOffLine;
}

bool CDeviceStatus::GetOffLine(void)
{
	return m_bOffLine;
}

void CDeviceStatus::SetCoverOpen(bool bCoverOpen)
{
	m_bCoverOpen = bCoverOpen;
}

bool CDeviceStatus::GetCoverOpen(void)
{
	return m_bCoverOpen;
}

void CDeviceStatus::SetWaitPaperEject(bool bWaitPaperEject)
{
	m_bWaitPaperEject = bWaitPaperEject;
}

bool CDeviceStatus::GetWaitPaperEject(void)
{
	return m_bWaitPaperEject;
}

void CDeviceStatus::SetMechanicalError(bool bMechanicalError)
{
	m_bMechanicalError = bMechanicalError;
}

bool CDeviceStatus::GetMechanicalError(void)
{
	return m_bMechanicalError;
}

void CDeviceStatus::SetUnrecoverError(bool bUnrecoverError)
{
	m_bUnrecoverError = bUnrecoverError;
}

bool CDeviceStatus::GetUnrecoverError(void)
{
	return m_bUnrecoverError;
}

void CDeviceStatus::SetPaperInsermadiate(bool bPaperInsermadiate)
{
	m_bPaperInsermadiate = bPaperInsermadiate;
}

bool CDeviceStatus::GetPaperInsermadiate(void)
{
	return m_bPaperInsermadiate;
}

void CDeviceStatus::SetReceiptNearEnd(bool bReceiptNearEnd)
{
	// S9000 only
	m_bReceiptNearEnd = bReceiptNearEnd;
}

bool CDeviceStatus::GetReceiptNearEnd(void)
{
	// S9000 only
	return m_bReceiptNearEnd;
}

void CDeviceStatus::SetEjectSensorPaper(bool bEjectSensorPaper)
{
	m_bEjectSensorPaper = bEjectSensorPaper;
}

bool CDeviceStatus::GetEjectSensorPaper(void)
{
	return m_bEjectSensorPaper;
}

void CDeviceStatus::SetReceiptEnd(bool bReceiptEnd)
{
	// S9000 only
	m_bReceiptEnd = bReceiptEnd;
}

bool CDeviceStatus::GetReceiptEnd(void)
{
	// S9000 only
	return m_bReceiptEnd;
}

void CDeviceStatus::SetSlipPaperSize(bool bSlipPaperSize)
{
	m_bSlipPaperSize = bSlipPaperSize;
}

bool CDeviceStatus::GetSlipPaperSize(void)
{
	return m_bSlipPaperSize;
}

void CDeviceStatus::SetAsfPaper(bool bAsfPaper)
{
	m_bAsfPaper = bAsfPaper;
}

bool CDeviceStatus::GetAsfPaper(void)
{
	return m_bAsfPaper;
}

void CDeviceStatus::SetWaitInsert(bool bWaitInsert)
{
	m_bWaitInsert = bWaitInsert;
}

bool CDeviceStatus::GetWaitInsert(void)
{
	return m_bWaitInsert;
}

void CDeviceStatus::SetMainPocketNearFull(bool bMainPocketNearFull)
{
	m_bMainPocketNearFull = bMainPocketNearFull;
}

bool CDeviceStatus::GetMainPocketNearFull(void)
{
	return m_bMainPocketNearFull;
}

void CDeviceStatus::SetSubPocketNearFull(bool bSubPocketNearFull)
{
	m_bSubPocketNearFull = bSubPocketNearFull;
}

bool CDeviceStatus::GetSubPocketNearFull(void)
{
	return m_bSubPocketNearFull;
}

