VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ProcessParam"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

Private m_byWaterfall As Byte
Private m_byActivation As Byte
Private m_bOnePiece As Boolean
Private m_byConfirmationEject As Byte
Private m_byConfirmationCancel As Byte

Private m_byPaperMisInsertionDetect As Byte
Private m_byPaperMisInsertionEject As Byte
Private m_byPaperMisInsertionCancel As Byte
Private m_byNoiseDetect As Byte
Private m_byNoiseEject As Byte
Private m_byNoiseCancel As Byte
Private m_byDoubleFeedDetect As Byte
Private m_byDoubleFeedEject As Byte
Private m_byDoubleFeedCancel As Byte
Private m_byBaddataDetect As Byte
Private m_byBaddataEject As Byte
Private m_byBaddataCancel As Byte
Private m_byNodataDetect As Byte
Private m_byNodataEject As Byte
Private m_byNodataCancel As Byte
Private m_byPrnDataUnreceiveCancel As Byte

Private Sub Class_Initialize()

    m_byWaterfall = WATERFALL_MODE_DISABLE
    m_byActivation = MF_ACTIVATE_MODE_HIGH_SPEED
    m_bOnePiece = False
    m_byConfirmationEject = MF_EJECT_MAIN_POCKET
    m_byConfirmationCancel = MF_PROCESS_CONTINUE_OVERLAP

    m_byPaperMisInsertionDetect = MF_ERROR_SELECT_DETECT
    m_byPaperMisInsertionEject = MF_EJECT_MAIN_POCKET
    m_byPaperMisInsertionCancel = MF_CANCEL_DISABLE
    m_byNoiseDetect = MF_ERROR_SELECT_DETECT
    m_byNoiseEject = MF_EJECT_MAIN_POCKET
    m_byNoiseCancel = MF_CANCEL_DISABLE
    m_byDoubleFeedDetect = MF_ERROR_SELECT_DETECT
    m_byDoubleFeedEject = MF_EJECT_MAIN_POCKET
    m_byDoubleFeedCancel = MF_CANCEL_DISABLE
    m_byBaddataDetect = MF_ERROR_SELECT_DETECT
    m_byBaddataEject = MF_EJECT_MAIN_POCKET
    m_byBaddataCancel = MF_CANCEL_DISABLE
    m_byNodataDetect = MF_ERROR_SELECT_DETECT
    m_byNodataEject = MF_EJECT_MAIN_POCKET
    m_byNodataCancel = MF_CANCEL_DISABLE
    m_byPrnDataUnreceiveCancel = MF_CANCEL_ENABLE

End Sub

Public Sub SetWaterfall(ByVal byWaterfall As Byte)

    m_byWaterfall = byWaterfall

End Sub


Public Function GetWaterfall() As Byte

    GetWaterfall = m_byWaterfall

End Function

Public Sub SetActivation(ByVal byActivation As Byte)

    m_byActivation = byActivation

End Sub

Public Function GetActivation() As Byte

    GetActivation = m_byActivation

End Function


Public Sub SetConfirmationType(bOnePiece As Boolean)

    m_bOnePiece = bOnePiece

End Sub


Public Function GetConfirmationType() As Boolean

    GetConfirmationType = m_bOnePiece

End Function


Public Sub SetConfirmationEject(ByVal byConfirmationEject As Byte)

    m_byConfirmationEject = byConfirmationEject

End Sub

 Public Function GetConfirmationEject() As Byte

    GetConfirmationEject = m_byConfirmationEject

End Function


Public Sub SetConfirmationCancel(ByVal byConfirmationCancel As Byte)

    m_byConfirmationCancel = byConfirmationCancel

End Sub


 Public Function GetConfirmationCancel() As Byte

    GetConfirmationCancel = m_byConfirmationCancel

End Function


Public Sub SetPaperMisInsertionDetect(ByVal byPaperMisInsertionDetect As Byte)

    m_byPaperMisInsertionDetect = byPaperMisInsertionDetect

End Sub

 Public Function GetPaperMisInsertionDetect() As Byte

    GetPaperMisInsertionDetect = m_byPaperMisInsertionDetect

End Function


Public Sub SetPaperMisInsertionEject(ByVal byPaperMisInsertionEject As Byte)

    m_byPaperMisInsertionEject = byPaperMisInsertionEject

End Sub

 Public Function GetPaperMisInsertionEject() As Byte

    GetPaperMisInsertionEject = m_byPaperMisInsertionEject

End Function


Public Sub SetPaperMisInsertionCancel(ByVal byPaperMisInsertionCancel As Byte)

    m_byPaperMisInsertionCancel = byPaperMisInsertionCancel

End Sub

 Public Function GetPaperMisInsertionCancel() As Byte

    GetPaperMisInsertionCancel = m_byPaperMisInsertionCancel

End Function


Public Sub SetNoiseDetect(ByVal byNoiseDetect As Byte)

    m_byNoiseDetect = byNoiseDetect

End Sub

 Public Function GetNoiseDetect() As Byte

    GetNoiseDetect = m_byNoiseDetect

End Function


Public Sub SetNoiseEject(ByVal byNoiseEject As Byte)

    m_byNoiseEject = byNoiseEject

End Sub

 Public Function GetNoiseEject() As Byte

    GetNoiseEject = m_byNoiseEject

End Function


Public Sub SetNoiseCancel(ByVal byNoiseCancel As Byte)

    m_byNoiseCancel = byNoiseCancel

End Sub

 Public Function GetNoiseCancel() As Byte

    GetNoiseCancel = m_byNoiseCancel

End Function


Public Sub SetDoubleFeedDetect(ByVal byDoubleFeedDetect As Byte)

    m_byDoubleFeedDetect = byDoubleFeedDetect

End Sub

 Public Function GetDoubleFeedDetect() As Byte

    GetDoubleFeedDetect = m_byDoubleFeedDetect

End Function


Public Sub SetDoubleFeedEject(ByVal byDoubleFeedEject As Byte)

    m_byDoubleFeedEject = byDoubleFeedEject

End Sub

 Public Function GetDoubleFeedEject() As Byte

    GetDoubleFeedEject = m_byDoubleFeedEject

End Function


Public Sub SetDoubleFeedCancel(ByVal byDoubleFeedCancel As Byte)

    m_byDoubleFeedCancel = byDoubleFeedCancel

End Sub

 Public Function GetDoubleFeedCancel() As Byte

    GetDoubleFeedCancel = m_byDoubleFeedCancel

End Function


Public Sub SetBaddataDetect(ByVal byBaddataDetect As Byte)

    m_byBaddataDetect = byBaddataDetect

End Sub

 Public Function GetBaddataDetect() As Byte

    GetBaddataDetect = m_byBaddataDetect

End Function


Public Sub SetBaddataEject(ByVal byBaddataEject As Byte)

    m_byBaddataEject = byBaddataEject

End Sub

 Public Function GetBaddataEject() As Byte

    GetBaddataEject = m_byBaddataEject

End Function


Public Sub SetBaddataCancel(ByVal byBaddataCancel As Byte)

    m_byBaddataCancel = byBaddataCancel

End Sub

 Public Function GetBaddataCancel() As Byte

    GetBaddataCancel = m_byBaddataCancel

End Function


Public Sub SetNodataDetect(ByVal byNodataDetect As Byte)

    m_byNodataDetect = byNodataDetect

End Sub

 Public Function GetNodataDetect() As Byte

    GetNodataDetect = m_byNodataDetect

End Function

Public Sub SetNodataEject(ByVal byNodataEject As Byte)

    m_byNodataEject = byNodataEject

End Sub

 Public Function GetNodataEject() As Byte

    GetNodataEject = m_byNodataEject

End Function

Public Sub SetNodataCancel(ByVal byNodataCancel As Byte)

    m_byNodataCancel = byNodataCancel

End Sub

 Public Function GetNodataCancel() As Byte

    GetNodataCancel = m_byNodataCancel

End Function

Public Sub SetPrnDataUnreceiveCancel(ByVal byPrnDataUnreceiveCancel As Byte)

    m_byPrnDataUnreceiveCancel = byPrnDataUnreceiveCancel

End Sub

 Public Function GetPrnDataUnreceiveCancel()

    GetPrnDataUnreceiveCancel = m_byPrnDataUnreceiveCancel

End Function



