VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Property_1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

    Dim m_lHandle As Long
    Dim m_Mf_Base01 As MF_BASE01
    Dim m_Mf_Micr As MF_MICR01
    Dim m_Mf_ScanFront As MF_SCAN
    Dim m_Mf_ScanBack As MF_SCAN
    Dim m_Mf_Process As MF_PROCESS01
    Dim m_byScanMedia As Byte
    Dim m_byImageChannel As Byte
    Dim m_byRGBColorDepth As Byte
    Dim m_byIRColorDepth As Byte
    Dim m_nResolution As Integer
    Dim m_byFont As Byte
    Dim m_bParsing As Boolean
    Dim m_bClearSpace As Boolean
    Dim m_dTransactionNumber As Double

    Dim m_lScanStatusWnd As Long
    Dim m_lDeviceStatusWnd As Long

    Dim m_bBuzzerSuccess As Boolean
    Dim m_bBuzzerDoubleFeed As Boolean
    Dim m_bBuzzerError As Boolean
    
    '// Step5
    Dim m_byPrintingNumber As Byte
    Dim m_byScanning As Byte
    
    Dim m_byPaperMisInsertionDetect As Byte
    Dim m_byPaperMisInsertionEject As Byte
    Dim m_byPaperMisInsertionCancel As Byte
    Dim m_byNoiseDetect As Byte
    Dim m_byNoiseEject As Byte
    Dim m_byNoiseCancel As Byte
    Dim m_byDoubleFeedDetect As Byte
    Dim m_byDoubleFeedEject As Byte
    Dim m_byDoubleFeedCancel As Byte
    Dim m_byBaddataDetect As Byte
    Dim m_byBaddataEject As Byte
    Dim m_byBaddataCancel As Byte
    Dim m_byNodataDetect As Byte
    Dim m_byNodataEject As Byte
    Dim m_byNodataCancel As Byte
    Dim m_byWaterfall As Byte
    Dim m_byActivation As Byte
    Dim m_byConfirmationEject As Byte
    Dim m_byConfirmationCancel As Byte
    Dim m_byPrnDataUnreceiveCancel As Byte
    
    Dim m_lEndorseStartWnd As Long
    Dim m_lEndorseEndWnd As Long

Private Sub Class_Initialize()

    m_nHandle = 0
    m_byScanMedia = EPS_BI_SCN_UNIT_CHECKPAPER
    m_byImageChannel = EPS_BI_SCN_OPTION_COLOR
    m_byRGBColorDepth = EPS_BI_SCN_24BIT
    m_byIRColorDepth = EPS_BI_SCN_8BIT
    m_nResolution = MF_SCAN_DPI_200
    m_byFont = MF_MICR_FONT_E13B
    m_bParsing = False
    m_bClearSpace = False
    m_lTransactionNumber = 0
    
    m_lScanStatusWnd = 0
    m_lDeviceStatusWnd = 0
    
    m_bBuzzerSuccess = False
    m_bBuzzerDoubleFeed = False
    m_bBuzzerError = False

    '// Step5
    m_byPrintingNumber = 1
    m_byScanning = 0

    m_byPaperMisInsertionDetect = MF_ERROR_SELECT_DETECT
    m_byPaperMisInsertionEject = MF_EJECT_MAIN_POCKET
    m_byPaperMisInsertionCancel = MF_CANCEL_DISABLE
    m_byNoiseDetect = MF_ERROR_SELECT_DETECT
    m_byNoiseEject = MF_EJECT_MAIN_POCKET
    m_byNoiseCancel = MF_CANCEL_DISABLE
    m_byDoubleFeedDetect = MF_ERROR_SELECT_DETECT
    m_byDoubleFeedEject = MF_EJECT_MAIN_POCKET
    m_byDoubleFeedCancel = MF_CANCEL_DISABLE
    m_byBaddataDetect = MF_ERROR_SELECT_DETECT
    m_byBaddataEject = MF_EJECT_MAIN_POCKET
    m_byBaddataCancel = MF_CANCEL_DISABLE
    m_byNodataDetect = MF_ERROR_SELECT_DETECT
    m_byNodataEject = MF_EJECT_MAIN_POCKET
    m_byNodataCancel = MF_CANCEL_DISABLE
    m_byWaterfall = WATERFALL_MODE_DISABLE
    m_byActivation = MF_ACTIVATE_MODE_HIGH_SPEED
    m_byConfirmationEject = MF_EJECT_MAIN_POCKET
    m_byConfirmationCancel = MF_PROCESS_CONTINUE_OVERLAP
    m_byPrnDataUnreceiveCancel = MF_CANCEL_DISABLE
    
End Sub

Public Sub SetHandle(ByVal lHandle As Long)

    m_lHandle = lHandle
    
End Sub

Public Function GetHandle() As Long

    GetHandle = m_lHandle
    
End Function

Friend Sub SetMfBase01(ByRef pMf_Base01 As MF_BASE01)

    m_Mf_Base01 = pMf_Base01

End Sub

Friend Function GetMfBase01() As MF_BASE01

    GetMfBase01 = m_Mf_Base01
    
End Function

Friend Sub SetMfMicr(ByRef pMf_Micr As MF_MICR01)

    m_Mf_Micr = pMf_Micr

End Sub

Friend Function GetMfMicr() As MF_MICR01

    GetMfMicr = m_Mf_Micr
    
End Function

Friend Sub SetMfScanFront(ByRef pMf_ScanFront As MF_SCAN)

    m_Mf_ScanFront = pMf_ScanFront

End Sub

Friend Function GetMfScanFront() As MF_SCAN

    GetMfScanFront = m_Mf_ScanFront
    
End Function

Friend Sub SetMfScanBack(ByRef pMf_ScanBack As MF_SCAN)

    m_Mf_ScanBack = pMf_ScanBack
    
End Sub

Friend Function GetMfScanBack() As MF_SCAN

    GetMfScanBack = m_Mf_ScanBack
    
End Function

Friend Sub SetMfProcess(ByRef pMf_Process As MF_PROCESS01)

    m_Mf_Process = pMf_Process

End Sub

Friend Function GetMfProcess() As MF_PROCESS01

    GetMfProcess = m_Mf_Process
    
End Function

Public Sub SetScanMedia(ByVal byScanMedia As Byte)

    m_byScanMedia = byScanMedia
    
End Sub

Public Function GetScanMedia() As Byte

    GetScanMedia = m_byScanMedia
    
End Function

Public Sub SetImageChannel(ByVal byImageChannel As Byte)

    m_byImageChannel = byImageChannel
    
End Sub

Public Function GetImageChannel() As Byte

    GetImageChannel = m_byImageChannel
    
End Function

Public Sub SetRGBColorDepth(ByVal byColorDepth As Byte)

    m_byRGBColorDepth = byColorDepth
    
End Sub

Public Function GetRGBColorDepth() As Byte

    GetRGBColorDepth = m_byRGBColorDepth
    
End Function

Public Sub SetIRColorDepth(ByVal byColorDepth As Byte)

    m_byIRColorDepth = byColorDepth
    
End Sub

Public Function GetIRColorDepth() As Byte

    GetIRColorDepth = m_byIRColorDepth
    
End Function

Public Sub SetResolution(ByVal nResolution As Integer)

    m_nResolution = nResolution

End Sub

Public Function GetResolution() As Integer

    GetResolution = m_nResolution
    
End Function

Public Sub SetFont(ByVal byFont As Byte)

    m_byFont = byFont

End Sub

Public Function GetFont() As Byte

    GetFont = m_byFont
    
End Function

Public Sub SetParsing(ByVal bParsing As Boolean)

    m_bParsing = bParsing
    
End Sub

Public Function GetParsing()

    GetParsing = m_bParsing
    
End Function

Public Sub SetClearSpace(ByVal bClearSpace As Boolean)

    m_bClearSpace = bClearSpace
    
End Sub

Public Function GetClearSpace()

    GetClearSpace = m_bClearSpace
    
End Function

Public Sub SetTransactionNumber(ByVal dTransactionNumber As Double)

    m_dTransactionNumber = dTransactionNumber
    
End Sub

Public Function GetTransactionNumber() As Double

    GetTransactionNumber = m_dTransactionNumber
    
End Function

Public Sub SetBuzzerSuccess(ByVal bBuzzerSuccess As Boolean)

    m_bBuzzerSuccess = bBuzzerSuccess
    
End Sub

Public Function GetBuzzerSuccess() As Boolean

    GetBuzzerSuccess = m_bBuzzerSuccess
    
End Function

Public Sub SetBuzzerDoubleFeed(ByVal bBuzzerDoubleFeed As Boolean)

    m_bBuzzerDoubleFeed = bBuzzerDoubleFeed

End Sub

Public Function GetBuzzerDoubleFeed() As Boolean

    GetBuzzerDoubleFeed = m_bBuzzerDoubleFeed
    
End Function

Public Sub SetBuzzerError(ByVal bBuzzerError As Boolean)

    m_bBuzzerError = bBuzzerError
    
End Sub

Public Function GetBuzzerError() As Boolean

    GetBuzzerError = m_bBuzzerError
    
End Function

Public Sub SetScanStatusWnd(ByVal lScanStatusWnd As Long)

    m_lScanStatusWnd = lScanStatusWnd
    
End Sub

Public Function GetScanStatusWnd() As Long

    GetScanStatusWnd = m_lScanStatusWnd
    
End Function

Public Sub SetDeviceStatusWnd(ByVal lDeviceStatusWnd As Long)

    m_lDeviceStatusWnd = lDeviceStatusWnd
    
End Sub

Public Function GetDeviceStatusWnd() As Long

    GetDeviceStatusWnd = m_lDeviceStatusWnd
    
End Function

''////////////////
''//// Step 5
''////////////////

Public Sub SetPrintingNumber(ByVal byPrintingNumber As Byte)

    m_byPrintingNumber = byPrintingNumber

End Sub

Public Function GetPrintingNumber() As Byte

    GetPrintingNumber = m_byPrintingNumber

End Function

Public Sub SetAfterScanning(ByVal byScanning As Byte)

    m_byScanning = byScanning

End Sub

Public Function GetAfterScanning() As Byte

    GetAfterScanning = m_byScanning

End Function

Public Sub SetEndorseStartWnd(ByVal lEndorseStartWnd As Long)

    m_lEndorseStartWnd = lEndorseStartWnd
    
End Sub

Public Function GetEndorseStartWnd() As Long

    GetEndorseStartWnd = m_lEndorseStartWnd
    
End Function

Public Sub SetEndorseEndWnd(ByVal lEndorseEndWnd As Long)

    m_lEndorseEndWnd = lEndorseEndWnd
    
End Sub

Public Function GetEndorseEndWnd() As Long

    GetEndorseEndWnd = m_lEndorseEndWnd
    
End Function
Public Function SetWaterfall(ByVal byWaterfall As Byte) As Byte

    m_byWaterfall = byWaterfall

End Function

Public Function GetWaterfall() As Byte

    GetWaterfall = m_byWaterfall

End Function


Public Sub SetActivation(ByVal byActivation As Byte)

    m_byActivation = byActivation
    
End Sub

Public Function GetActivation() As Byte

    GetActivation = m_byActivation

End Function

Public Sub SetConfirmationEject(ByVal byConfirmationEject As Byte)

    m_byConfirmationEject = byConfirmationEject
    
End Sub

Public Function GetConfirmationEject() As Byte

    GetConfirmationEject = m_byConfirmationEject

End Function


Public Sub SetConfirmationCancel(ByVal byConfirmationCancel As Byte)

    m_byConfirmationCancel = byConfirmationCancel
    
End Sub

Public Function GetConfirmationCancel() As Byte

    GetConfirmationCancel = m_byConfirmationCancel
    
End Function

Public Sub SetPaperMisInsertionDetect(ByVal byPaperMisInsertionDetect As Byte)

    m_byPaperMisInsertionDetect = byPaperMisInsertionDetect
    
End Sub

Public Function GetPaperMisInsertionDetect() As Byte

    GetPaperMisInsertionDetect = m_byPaperMisInsertionDetect
    
End Function

Public Sub SetPaperMisInsertionEject(ByVal byPaperMisInsertionEject As Byte)

    m_byPaperMisInsertionEject = byPaperMisInsertionEject
    
End Sub

Public Function GetPaperMisInsertionEject() As Byte

    GetPaperMisInsertionEject = m_byPaperMisInsertionEject
    
End Function

Public Sub SetPaperMisInsertionCancel(ByVal byPaperMisInsertionCancel As Byte)

    m_byPaperMisInsertionCancel = byPaperMisInsertionCancel
    
End Sub

Public Function GetPaperMisInsertionCancel() As Byte

    GetPaperMisInsertionCancel = m_byPaperMisInsertionCancel
    
End Function

Public Sub SetNoiseDetect(ByVal byNoiseDetect As Byte)

    m_byNoiseDetect = byNoiseDetect
    
End Sub

Public Function GetNoiseDetect() As Byte

    GetNoiseDetect = m_byNoiseDetect
    
End Function

Public Sub SetNoiseEject(ByVal byNoiseEject As Byte)

    m_byNoiseEject = byNoiseEject
    
End Sub

Public Function GetNoiseEject() As Byte

    GetNoiseEject = m_byNoiseEject
    
End Function

Public Sub SetNoiseCancel(ByVal byNoiseCancel As Byte)

    m_byNoiseCancel = byNoiseCancel
    
End Sub

Public Function GetNoiseCancel() As Byte

    GetNoiseCancel = m_byNoiseCancel
    
End Function

Public Sub SetDoubleFeedDetect(ByVal byDoubleFeedDetect As Byte)

    m_byDoubleFeedDetect = byDoubleFeedDetect
    
End Sub

Public Function GetDoubleFeedDetect() As Byte

    GetDoubleFeedDetect = m_byDoubleFeedDetect
    
End Function

Public Sub SetDoubleFeedEject(ByVal byDoubleFeedEject As Byte)

    m_byDoubleFeedEject = byDoubleFeedEject
    
End Sub

Public Function GetDoubleFeedEject() As Byte

    GetDoubleFeedEject = m_byDoubleFeedEject
    
End Function

Public Sub SetDoubleFeedCancel(ByVal byDoubleFeedCancel As Byte)

    m_byDoubleFeedCancel = byDoubleFeedCancel
    
End Sub

Public Function GetDoubleFeedCancel() As Byte

    GetDoubleFeedCancel = m_byDoubleFeedCancel
    
End Function

Public Sub SetBaddataDetect(ByVal byBaddataDetect As Byte)

    m_byBaddataDetect = byBaddataDetect
    
End Sub

Public Function GetBaddataDetect() As Byte

    GetBaddataDetect = m_byBaddataDetect

End Function

Public Sub SetBaddataEject(ByVal byBaddataEject As Byte)

    m_byBaddataEject = byBaddataEject
    
End Sub

Public Function GetBaddataEject() As Byte

    GetBaddataEject = m_byBaddataEject

End Function

Public Sub SetBaddataCancel(ByVal byBaddataCancel As Byte)

    m_byBaddataCancel = byBaddataCancel
    
End Sub

Public Function GetBaddataCancel() As Byte

    GetBaddataCancel = m_byBaddataCancel

End Function

Public Sub SetNodataDetect(ByVal byNodataDetect As Byte)

    m_byNodataDetect = byNodataDetect
    
End Sub

Public Function GetNodataDetect() As Byte

    GetNodataDetect = m_byNodataDetect

End Function

Public Sub SetNodataEject(ByVal byNodataEject As Byte)

    m_byNodataEject = byNodataEject
    
End Sub

Public Function GetNodataEject() As Byte

    GetNodataEject = m_byNodataEject

End Function

Public Sub SetNodataCancel(ByVal byNodataCancel As Byte)

    m_byNodataCancel = byNodataCancel
    
End Sub

Public Function GetNodataCancel() As Byte

    GetNodataCancel = m_byNodataCancel

End Function

Public Sub SetPrnDataUnreceiveCancel(ByVal byPrnDataUnreceiveCancel As Byte)

    m_byPrnDataUnreceiveCancel = byPrnDataUnreceiveCancel
    
End Sub

Public Function GetPrnDataUnreceiveCancel() As Byte

    GetPrnDataUnreceiveCancel = m_byPrnDataUnreceiveCancel

End Function



