Imports com.epson.bank.driver

Namespace TMS_Sample
	Public Class CIqaParam
		Private m_eIqaDetect As MfErrorSelect
		Private m_eColorDepth As ColorDepth
		Private m_eCancel As MfCancel
		Private m_eEjectPocket As MfEject
		Private m_eUnderSize As MfIqaTest
		Private m_eOverSize As MfIqaTest
		Private m_eMinCompressed As MfIqaTest
		Private m_eMaxCompressed As MfIqaTest
		Private m_eFrontRearImageMismatch As MfIqaTest
		Private m_eImageTooLight As MfIqaTest
		Private m_eImageTooDark As MfIqaTest
		Private m_eStreaks As MfIqaTest
		Private m_eSpotNoise As MfIqaTest
		Private m_eOutOfFocus As MfIqaTest
		Private m_eFoldedTornCorner As MfIqaTest
		Private m_eFoldedTornEdge As MfIqaTest
		Private m_eFramingError As MfIqaTest
		Private m_eExcessiveSkew As MfIqaTest
		Private m_eCarbon As MfIqaTest
		Private m_ePiggyback As MfIqaTest

		Public Sub New()
			m_eIqaDetect = MfErrorSelect.MF_ERROR_SELECT_NODETECT
			m_eColorDepth = ColorDepth.EPS_BI_SCN_1BIT
			m_eCancel = MfCancel.MF_CANCEL_DISABLE
			m_eEjectPocket = MfEject.MF_EJECT_MAIN_POCKET
			m_eUnderSize = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eOverSize = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eMinCompressed = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eMaxCompressed = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eFrontRearImageMismatch = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eImageTooLight = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eImageTooDark = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eStreaks = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eSpotNoise = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eOutOfFocus = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eFoldedTornCorner = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eFoldedTornEdge = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eExcessiveSkew = MfIqaTest.MF_IQA_TEST_DISABLE
			m_eCarbon = MfIqaTest.MF_IQA_TEST_DISABLE
			m_ePiggyback = MfIqaTest.MF_IQA_TEST_DISABLE
		End Sub

		Public Sub SetIqaDetect(eIqaDetect As MfErrorSelect)
			m_eIqaDetect = eIqaDetect
		End Sub
		Public Function GetIqaDetect() As MfErrorSelect
			Return m_eIqaDetect
		End Function
		Public Sub SetIqaColorDepth(eColorDepth As ColorDepth)
			m_eColorDepth = eColorDepth
		End Sub
		Public Function GetIqaColorDepth() As ColorDepth
			Return m_eColorDepth
		End Function
		Public Sub SetIqaCancel(eCancel As MfCancel)
			m_eCancel = eCancel
		End Sub
		Public Function GetIqaCancel() As MfCancel
			Return m_eCancel
		End Function
		Public Sub SetIqaEjectPocket(eEjectPocket As MfEject)
			m_eEjectPocket = eEjectPocket
		End Sub
		Public Function GetIqaEjectPocket() As MfEject
			Return m_eEjectPocket
		End Function
		Public Sub SetUnderSize(eUnderSize As MfIqaTest)
			m_eUnderSize = eUnderSize
		End Sub
		Public Function GetUnderSize() As MfIqaTest
			Return m_eUnderSize
		End Function
		Public Sub SetOverSize(eOverSize As MfIqaTest)
			m_eOverSize = eOverSize
		End Sub
		Public Function GetOverSize() As MfIqaTest
			Return m_eOverSize
		End Function
		Public Sub SetMinCompressed(eMinCompressed As MfIqaTest)
			m_eMinCompressed = eMinCompressed
		End Sub
		Public Function GetMinCompressed() As MfIqaTest
			Return m_eMinCompressed
		End Function
		Public Sub SetMaxCompressed(eMaxCompressed As MfIqaTest)
			m_eMaxCompressed = eMaxCompressed
		End Sub
		Public Function GetMaxCompressed() As MfIqaTest
			Return m_eMaxCompressed
		End Function
		Public Sub SetFrontRearImageMismatch(eFrontRearImageMismatch As MfIqaTest)
			m_eFrontRearImageMismatch = eFrontRearImageMismatch
		End Sub
		Public Function GetFrontRearImageMismatch() As MfIqaTest
			Return m_eFrontRearImageMismatch
		End Function
		Public Sub SetImageTooLight(eImageTooLight As MfIqaTest)
			m_eImageTooLight = eImageTooLight
		End Sub
		Public Function GetImageTooLight() As MfIqaTest
			Return m_eImageTooLight
		End Function
		Public Sub SetImageTooDark(eImageTooDark As MfIqaTest)
			m_eImageTooDark = eImageTooDark
		End Sub
		Public Function GetImageTooDark() As MfIqaTest
			Return m_eImageTooDark
		End Function
		Public Sub SetHorizontalStreaksPresent(eStreaks As MfIqaTest)
			m_eStreaks = eStreaks
		End Sub
		Public Function GetHorizontalStreaksPresent() As MfIqaTest
			Return m_eStreaks
		End Function
		Public Sub SetSpotNoise(eSpotNosise As MfIqaTest)
			m_eSpotNoise = eSpotNosise
		End Sub
		Public Function GetSpotNoise() As MfIqaTest
			Return m_eSpotNoise
		End Function
		Public Sub SetOutOfFocus(eOutOfFocus As MfIqaTest)
			m_eOutOfFocus = eOutOfFocus
		End Sub
		Public Function GetOutOfFocus() As MfIqaTest
			Return m_eOutOfFocus
		End Function
		Public Sub SetFoldedTornCorner(eFoldedTornCorner As MfIqaTest)
			m_eFoldedTornCorner = eFoldedTornCorner
		End Sub
		Public Function GetFoldedTornCorner() As MfIqaTest
			Return m_eFoldedTornCorner
		End Function
		Public Sub SetFoldedTornEdge(eFoldedTornEdge As MfIqaTest)
			m_eFoldedTornEdge = eFoldedTornEdge
		End Sub
		Public Function GetFoldedTornEdge() As MfIqaTest
			Return m_eFoldedTornEdge
		End Function
		Public Sub SetFramingError(eFramingError As MfIqaTest)
			m_eFramingError = eFramingError
		End Sub
		Public Function GetFramingError() As MfIqaTest
			Return m_eFramingError
		End Function
		Public Sub SetExcessiveSkew(eExcessiveSkew As MfIqaTest)
			m_eExcessiveSkew = eExcessiveSkew
		End Sub
		Public Function GetExcessiveSkew() As MfIqaTest
			Return m_eExcessiveSkew
		End Function
		Public Sub SetCarbonStripDetection(eCarbonStripDetection As MfIqaTest)
			m_eCarbon = eCarbonStripDetection
		End Sub
		Public Function GetCarbonStripDetection() As MfIqaTest
			Return m_eCarbon
		End Function
		Public Sub SetPiggyback(ePiggyback As MfIqaTest)
			m_ePiggyback = ePiggyback
		End Sub
		Public Function GetPiggyback() As MfIqaTest
			Return m_ePiggyback
		End Function
	End Class
End Namespace
