
Namespace TMS_Sample
	Public Class StructByStep
		' Step 2
		Public nRadio_ScanningMedia As Integer
		Public nRadio_LightSourceToScan As Integer
		Public nRadio_RGBColorDepth As Integer
		Public nRadio_IRColorDepth As Integer
		Public nCombo_Resolution As Integer
		Public byNumeric_NumberOfDocuments As Byte
		Public bCheck_Scan_SaveFile As Boolean
		Public bIsScanningCardIR1PassSupported As Boolean

		' Step 3
		Public nRadio_MICRFont As Integer
		Public bCheck_MICR_ClearSpace As Boolean
		Public bCheck_MICR_SaveFile As Boolean

		' Step 7
		Public nRadio_ActivationMode As Integer
		Public bCheck_ConfirmationByUser As Boolean
		Public nCombo_WaterfallMode As Integer
		' Step 7
		Public bCheck_IQA_Detect As Boolean
		Public bCheck_IQA_Cancel As Boolean
		Public nCombo_IqaEjectPocket As Integer
		Public nCombo_IqaColorDepth As Integer
		Public bCheck_IQA_UnderSize As Boolean
		Public bCheck_IQA_OverSize As Boolean
		Public bCheck_IQA_MinCompressed As Boolean
		Public bCheck_IQA_MaxCompressed As Boolean
		Public bCheck_IQA_FrontRearMismatch As Boolean
		Public bCheck_IQA_TooLight As Boolean
		Public bCheck_IQA_TooDark As Boolean
		Public bCheck_IQA_HorizontalStreaks As Boolean
		Public bCheck_IQA_SpotNoise As Boolean
		Public bCheck_IQA_OutOfFocus As Boolean
		Public bCheck_IQA_DocCorners As Boolean
		Public bCheck_IQA_DocEdges As Boolean
		Public bCheck_IQA_FramingError As Boolean
		Public bCheck_IQA_Skew As Boolean
		Public bCheck_IQA_CarbonStrip As Boolean
		Public bCheck_IQA_Piggyback As Boolean

		Public Sub New()
			' Step 2
			nRadio_ScanningMedia = ConstComVal.VAL_CONFIGDLG_RADIO_SM_CHECKPAPER
			nRadio_LightSourceToScan = ConstComVal.VAL_CONFIGDLG_RADIO_IC_RGB
			nRadio_RGBColorDepth = ConstComVal.VAL_CONFIGDLG_RADIO_RGBCD_COLOR
			nRadio_IRColorDepth = ConstComVal.VAL_CONFIGDLG_RADIO_IRCD_GRAY
			bCheck_Scan_SaveFile = ConstComVal.VAL_CONFIGDLG_CHECK_SC_SAVEFILE_ON
			nCombo_Resolution = ConstComVal.VAL_CONFIGDLG_COMBO_RE_200200
			bIsScanningCardIR1PassSupported = False

			' Step 3
			nRadio_MICRFont = ConstComVal.VAL_CONFIGDLG_RADIO_MF_E13B
			bCheck_MICR_ClearSpace = ConstComVal.VAL_CONFIGDLG_CHECK_MI_CLEARSPACE_OFF
			bCheck_MICR_SaveFile = ConstComVal.VAL_CONFIGDLG_CHECK_MI_SAVEFILE_OFF

			' Step 7
			nRadio_ActivationMode = ConstComVal.VAL_CONFIGDLG_RADIO_AM_HIGHSPEED
			bCheck_ConfirmationByUser = False
			nCombo_WaterfallMode = ConstComVal.VAL_CONFIGDLG_COMBO_WM_DISABLE
			' Step 7
			bCheck_IQA_Detect = False
			bCheck_IQA_Cancel = False
			nCombo_IqaEjectPocket = ConstComVal.VAL_CONFIGDLG_COMBO_EP_MAINPOCKET
			nCombo_IqaColorDepth = ConstComVal.VAL_CONFIGDLG_COMBO_CD_GRAY
			bCheck_IQA_UnderSize = False
			bCheck_IQA_OverSize = False
			bCheck_IQA_MinCompressed = False
			bCheck_IQA_MaxCompressed = False
			bCheck_IQA_FrontRearMismatch = False
			bCheck_IQA_TooLight = False
			bCheck_IQA_TooDark = False
			bCheck_IQA_HorizontalStreaks = False
			bCheck_IQA_SpotNoise = False
			bCheck_IQA_OutOfFocus = False
			bCheck_IQA_DocCorners = False
			bCheck_IQA_DocEdges = False
			bCheck_IQA_FramingError = False
			bCheck_IQA_Skew = False
			bCheck_IQA_CarbonStrip = False
			bCheck_IQA_Piggyback = False
		End Sub

		Public Sub Copy(sData As StructByStep)
			' Step 2
			nRadio_ScanningMedia = sData.nRadio_ScanningMedia
			nRadio_LightSourceToScan = sData.nRadio_LightSourceToScan
			nRadio_RGBColorDepth = sData.nRadio_RGBColorDepth
			nRadio_IRColorDepth = sData.nRadio_IRColorDepth
			nCombo_Resolution = sData.nCombo_Resolution
			byNumeric_NumberOfDocuments = sData.byNumeric_NumberOfDocuments
			bCheck_Scan_SaveFile = sData.bCheck_Scan_SaveFile
			bIsScanningCardIR1PassSupported = sData.bIsScanningCardIR1PassSupported

			' Step 3
			nRadio_MICRFont = sData.nRadio_MICRFont
			bCheck_MICR_ClearSpace = sData.bCheck_MICR_ClearSpace
			bCheck_MICR_SaveFile = sData.bCheck_MICR_SaveFile

			' Step 7
			nRadio_ActivationMode = sData.nRadio_ActivationMode
			bCheck_ConfirmationByUser = sData.bCheck_ConfirmationByUser
			nCombo_WaterfallMode = sData.nCombo_WaterfallMode
			' Step 7
			bCheck_IQA_Detect = sData.bCheck_IQA_Detect
			bCheck_IQA_Cancel = sData.bCheck_IQA_Cancel
			nCombo_IqaEjectPocket = sData.nCombo_IqaEjectPocket
			nCombo_IqaColorDepth = sData.nCombo_IqaColorDepth
			bCheck_IQA_UnderSize = sData.bCheck_IQA_UnderSize
			bCheck_IQA_OverSize = sData.bCheck_IQA_OverSize
			bCheck_IQA_MinCompressed = sData.bCheck_IQA_MinCompressed
			bCheck_IQA_MaxCompressed = sData.bCheck_IQA_MaxCompressed
			bCheck_IQA_FrontRearMismatch = sData.bCheck_IQA_FrontRearMismatch
			bCheck_IQA_TooLight = sData.bCheck_IQA_TooLight
			bCheck_IQA_TooDark = sData.bCheck_IQA_TooDark
			bCheck_IQA_HorizontalStreaks = sData.bCheck_IQA_HorizontalStreaks
			bCheck_IQA_SpotNoise = sData.bCheck_IQA_SpotNoise
			bCheck_IQA_OutOfFocus = sData.bCheck_IQA_OutOfFocus
			bCheck_IQA_DocCorners = sData.bCheck_IQA_DocCorners
			bCheck_IQA_DocEdges = sData.bCheck_IQA_DocEdges
			bCheck_IQA_FramingError = sData.bCheck_IQA_FramingError
			bCheck_IQA_Skew = sData.bCheck_IQA_Skew
			bCheck_IQA_CarbonStrip = sData.bCheck_IQA_CarbonStrip
			bCheck_IQA_Piggyback = sData.bCheck_IQA_Piggyback
		End Sub
	End Class
	' Step 7
	Public Class ConfirmationData
		Public nRadio_Confirmation_EjectPocket As Integer
		Public bCheck_Confirmation_Cancel As Boolean

		Public Sub New()
			nRadio_Confirmation_EjectPocket = ConstComVal.VAL_CONFIRMATIONDLG_RADIO_EP_MAINPOCKET
			bCheck_Confirmation_Cancel = False
		End Sub

		Public Sub Copy(sData As ConfirmationData)
			nRadio_Confirmation_EjectPocket = sData.nRadio_Confirmation_EjectPocket
			bCheck_Confirmation_Cancel = sData.bCheck_Confirmation_Cancel
		End Sub
	End Class
End Namespace
