﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TMS_Sample
{
	public partial class ConfirmationForm : Form
	{
		ConfirmationData m_objConfirmationData;

		public ConfirmationForm()
		{
			InitializeComponent();
			m_objConfirmationData = new ConfirmationData();
		}
		public void GetConfirmationData(ref ConfirmationData objConfirmationData)
		{
			if (objConfirmationData != null)
			{
				objConfirmationData.Copy(m_objConfirmationData);
			}
		}

		private void btnOk_Click(object sender, EventArgs e)
		{
			if (btnRadioEPMainPocket.Checked == true)
			{
				m_objConfirmationData.nRadio_Confirmation_EjectPocket = ConstComVal.VAL_CONFIRMATIONDLG_RADIO_EP_MAINPOCKET;
			}
			else if (btnRadioEPSubPocket.Checked == true)
			{
				m_objConfirmationData.nRadio_Confirmation_EjectPocket = ConstComVal.VAL_CONFIRMATIONDLG_RADIO_EP_SUBPOCKET;
			}

			m_objConfirmationData.bCheck_Confirmation_Cancel = btnCheckCMCancel.Checked;

			this.DialogResult = DialogResult.OK;
			this.Close();
		}

		private void btnCancel_Click(object sender, EventArgs e)
		{
			this.DialogResult = DialogResult.Cancel;
			this.Close();
		}
	}
}
