#if !defined(SAMPLE_E12B42B0_6059_4168_A065_AD49CD4D2E6A)
#define SAMPLE_E12B42B0_6059_4168_A065_AD49CD4D2E6A

#pragma once

#include "Property_1.h"

#define BUZZER_COUNT_SUCCESS	1
#define BUZZER_COUNT_ERROR		2
#define BUUZER_COUNT_WFEED		3

class CScan
{
private:
	CProperty_1*	m_pCProperty;

	DLL_BiSCNSelectScanUnit				BiSCNSelectScanUnit;
	DLL_BiSCNMICRFunctionContinuously	BiSCNMICRFunctionContinuously;
	DLL_BiSCNMICRCancelFunction			BiSCNMICRCancelFunction;
	DLL_BiSCNSetImageTypeOption			BiSCNSetImageTypeOption;
	DLL_BiSCNSelectScanFace				BiSCNSelectScanFace;

public:
	CScan(void);
	virtual ~CScan(void);

	int		Init(CProperty_1* pProperty);
	int		ScanFunction(void);
	int		SetBaseSetting(void);
	int		SetScanSetting(void);
	int		CancelScan(void);

private:
	void	GetAPIProcAddress(void);
};

#endif  /* !defined(SAMPLE_E12B42B0_6059_4168_A065_AD49CD4D2E6A) */
