// ConfigureDlg.cpp : Implementation
//

#include "stdafx.h"
#include "Resource.h"
#include "ConfigureDlg.h"


// CConfigureDlg Dialog

IMPLEMENT_DYNAMIC(CConfigureDlg, CDialog)

CConfigureDlg::CConfigureDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigureDlg::IDD, pParent)
{
}

CConfigureDlg::~CConfigureDlg(void)
{
}

void CConfigureDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	// Step 2
	DDX_Control(pDX, IDOK, m_btnOK);
	DDX_Control(pDX, IDCANCEL, m_btnCancel);
	DDX_Control(pDX, IDC_GROUP_SCANNING, m_stGroupScanning);
	DDX_Control(pDX, IDC_GROUP_SCANNINGMEDIA, m_stGroupScanningMedia);
	DDX_Control(pDX, IDC_GROUP_LIGHTSOURCE, m_stGroupLightSource);
	DDX_Control(pDX, IDC_GROUP_RGBCOLORDEPTH, m_stGroupRGBColorDepth);
	DDX_Control(pDX, IDC_GROUP_IRCOLORDEPTH, m_stGroupIRColorDepth);
	DDX_Control(pDX, IDC_STATIC_RESOLUTION, m_stResolution);
	DDX_Control(pDX, IDC_COMBO_RESOLUTION, m_cmbResolution);
	DDX_Control(pDX, IDC_RADIO_SM_CHECKPAPER, m_btnRadioSMCheckPaper);
	DDX_Control(pDX, IDC_RADIO_SM_CARD, m_btnRadioSMCard);
	DDX_Control(pDX, IDC_RADIO_IC_RGB, m_btnRadioICRGB);
	DDX_Control(pDX, IDC_RADIO_IC_IR, m_btnRadioICIR);
	DDX_Control(pDX, IDC_RADIO_IC_RGBIR, m_btnRadioICRGBIR);
	DDX_Control(pDX, IDC_RADIO_RGBCD_COLOR, m_btnRadioCDRColor);
	DDX_Control(pDX, IDC_RADIO_RGBCD_GRAY, m_btnRadioCDRGray);
	DDX_Control(pDX, IDC_RADIO_RGBCD_BW, m_btnRadioCDRBW);
	DDX_Control(pDX, IDC_RADIO_IRCD_GRAY, m_btnRadioCDIGray);
	DDX_Control(pDX, IDC_RADIO_IRCD_BW, m_btnRadioCDIBW);
	DDX_Control(pDX, IDC_EDIT_SC_NUMBEROFDOCUMENTS, m_edtEditNumberOfDocuments);
	DDX_Control(pDX, IDC_SPIN_SC_NUMBEROFDOCUMENTS, m_spnSpinNumberOfDocuments);
	DDX_Control(pDX, IDC_CHECK_SC_SAVEFILE, m_btnCheckSCSaveFile);
	// Step 3
	DDX_Control(pDX, IDC_GROUP_MICR, m_stGroupMICR);
	DDX_Control(pDX, IDC_GROUP_MICRFONT, m_stGroupMICRFont);
	DDX_Control(pDX, IDC_RADIO_MF_E13B, m_btnRadioMFE13B);
	DDX_Control(pDX, IDC_RADIO_MF_CMC7, m_btnRadioMFCMC7);
	DDX_Control(pDX, IDC_CHECK_MI_CLEARSPACE, m_btnCheckMIClearSpace);
	DDX_Control(pDX, IDC_CHECK_MI_SAVEFILE, m_btnCheckMISaveFile);
	// Step 7
	DDX_Control(pDX, IDC_GROUP_IQA, m_stGroupIQA);
	DDX_Control(pDX, IDC_STATIC_IQA_COLOR_DEPTH, m_stIQAColorDepth);
	DDX_Control(pDX, IDC_COMBO_IQA_COLOR_DEPTH, m_cmbIQAColorDepth);
	DDX_Control(pDX, IDC_STATIC_IQA_EJECT_POCKET, m_stIQAEjectPocket);
	DDX_Control(pDX, IDC_COMBO_IQA_EJECT_POCKET, m_cmbIQAEjectPocket);
	DDX_Control(pDX, IDC_CHECK_IQA_DETECT, m_btnCheckIQADetect);
	DDX_Control(pDX, IDC_CHECK_IQA_CANCEL, m_btnCheckIQCancel);
	DDX_Control(pDX, IDC_CHECK_IQ_UNDERSIZE, m_btnCheckIQUnderSize);
	DDX_Control(pDX, IDC_CHECK_IQ_OVERSIZE, m_btnCheckIQOverSize);
	DDX_Control(pDX, IDC_CHECK_IQ_MINCOMPRESSED, m_btnCheckIQMinCompressed);
	DDX_Control(pDX, IDC_CHECK_IQ_MAXCOMPRESSED, m_btnCheckIQMaxCompressed);
	DDX_Control(pDX, IDC_CHECK_IQ_FRONTREARMISMATCH, m_btnCheckIQFrontRearMismatch);
	DDX_Control(pDX, IDC_CHECK_IQ_TOOLIGHT, m_btnCheckIQTooLight);
	DDX_Control(pDX, IDC_CHECK_IQ_TOODARK, m_btnCheckIQTooDark);
	DDX_Control(pDX, IDC_CHECK_IQ_HORIZONTALSTREAKS,m_btnCheckIQHorizontalStreaks);
	DDX_Control(pDX, IDC_CHECK_IQ_SPOTNOISE, m_btnCheckIQSpotNoise);
	DDX_Control(pDX, IDC_CHECK_IQ_OUTOFFOCUS, m_btnCheckIQOutOfFocus);
	DDX_Control(pDX, IDC_CHECK_IQ_DOCCORNERS, m_btnCheckIQDocCorners);
	DDX_Control(pDX, IDC_CHECK_IQ_DOCEDGES, m_btnCheckIQDocEdges);
	DDX_Control(pDX, IDC_CHECK_IQ_FRAMINGERROR, m_btnCheckIQFramingError);
	DDX_Control(pDX, IDC_CHECK_IQ_SKEW, m_btnCheckIQSkew);
	DDX_Control(pDX, IDC_CHECK_IQ_CARBONSTRIP, m_btnCheckIQCarbonStrip);
	DDX_Control(pDX, IDC_CHECK_IQ_PIGGYBACK, m_btnCheckIQPiggyback);
	// Step 7
	DDX_Control(pDX, IDC_GROUP_ACTIVATIONMODE, m_stGroupActivation);
	DDX_Control(pDX, IDC_GROUP_AM_ACTIVATIONMODE, m_stGroupACActivation);
	DDX_Control(pDX, IDC_RADIO_AM_HIGHSPEED, m_btnRadioAMHighSpeed);
	DDX_Control(pDX, IDC_RADIO_AM_CONFIRMATION, m_btnRadioAMConfirmation);
	DDX_Control(pDX, IDC_CHECK_AM_CONFIRMATION_BY_USER, m_btnCheckACConfirmationByUser);
	DDX_Control(pDX, IDC_GROUP_WATERFALLMODE, m_stGroupWaterfall);
	DDX_Control(pDX, IDC_STATIC_WATERFALLMODE, m_stWaterfall);
	DDX_Control(pDX, IDC_COMBO_WATERFALL_MODE, m_cmbWaterfall);
}

BEGIN_MESSAGE_MAP(CConfigureDlg, CDialog)
	// Step 2
	ON_BN_CLICKED(IDOK, &CConfigureDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CConfigureDlg::OnBnClickedCancel)
	ON_BN_CLICKED(IDC_RADIO_SM_CHECKPAPER, &CConfigureDlg::OnChangeRadioScanningMedia)
	ON_BN_CLICKED(IDC_RADIO_SM_CARD,       &CConfigureDlg::OnChangeRadioScanningMedia)
	ON_BN_CLICKED(IDC_RADIO_IC_RGB,   &CConfigureDlg::OnChangeRadioLightSource)
	ON_BN_CLICKED(IDC_RADIO_IC_IR,    &CConfigureDlg::OnChangeRadioLightSource)
	ON_BN_CLICKED(IDC_RADIO_IC_RGBIR, &CConfigureDlg::OnChangeRadioLightSource)
	// Step 7
	ON_BN_CLICKED(IDC_CHECK_IQA_DETECT, &CConfigureDlg::OnChangeCheckIqaDetect)
	ON_BN_CLICKED(IDC_RADIO_RGBCD_COLOR, &CConfigureDlg::OnChangeRadioRgbColorDepth)
	ON_BN_CLICKED(IDC_RADIO_RGBCD_GRAY,  &CConfigureDlg::OnChangeRadioRgbColorDepth)
	ON_BN_CLICKED(IDC_RADIO_RGBCD_BW,    &CConfigureDlg::OnChangeRadioRgbColorDepth)
	ON_CBN_SELCHANGE(IDC_COMBO_IQA_COLOR_DEPTH, &CConfigureDlg::OnCbnSelchangeComboIQAColorDepth)
	// Step 7
	ON_BN_CLICKED(IDC_RADIO_AM_HIGHSPEED,    &CConfigureDlg::OnChangeRadioActivationMode)
	ON_BN_CLICKED(IDC_RADIO_AM_CONFIRMATION, &CConfigureDlg::OnChangeRadioActivationMode)
	ON_CBN_SELCHANGE(IDC_COMBO_WATERFALL_MODE, &CConfigureDlg::OnCbnSelchangeComboWaterfallMode)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////
// CConfigureDlg message handlers
/////////////////////////////////////////////////////////////////

BOOL CConfigureDlg::OnInitDialog(void)
{
	CDialog::OnInitDialog();

	LoadResourceString();

	SetControlData();

	UpdateControls();

	return TRUE;  // return TRUE unless you set the focus to a control
}

void CConfigureDlg::SetConfigData( CONFIGDATA sConfigData )
{
	m_sConfigData.Copy( sConfigData );
}

void CConfigureDlg::GetConfigData( LPCONFIGDATA psConfigData )
{
	if( psConfigData != NULL )
	{
		psConfigData->Copy( m_sConfigData );
	}
}

void CConfigureDlg::LoadResourceString(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	m_btnOK.SetWindowText( STR_CONFIGDLG_BUTTON_OK );
	m_btnCancel.SetWindowText( STR_CONFIGDLG_BUTTON_CANCEL );

	m_stGroupScanning.SetWindowText( STR_CONFIGDLG_GROUP_SCANNING );
	m_stGroupScanningMedia.SetWindowText( STR_CONFIGDLG_GROUP_SCANNINGMEDIA );
	m_stGroupLightSource.SetWindowText( STR_CONFIGDLG_GROUP_LIGHTSOURCE );
	m_stGroupRGBColorDepth.SetWindowText( STR_CONFIGDLG_GROUP_RGBCOLORDEPTH );
	m_stGroupIRColorDepth.SetWindowText( STR_CONFIGDLG_GROUP_IRCOLORDEPTH );

	m_stResolution.SetWindowText( STR_CONFIGDLG_STATIC_RESOLUTION );

	m_btnRadioSMCheckPaper.SetWindowText( STR_CONFIGDLG_RADIO_SM_CHECKPAPER );
	m_btnRadioSMCard.SetWindowText( STR_CONFIGDLG_RADIO_SM_CARD );
	m_btnRadioICRGB.SetWindowText( STR_CONFIGDLG_RADIO_IC_RGB );
	m_btnRadioICIR.SetWindowText( STR_CONFIGDLG_RADIO_IC_IR );
	m_btnRadioICRGBIR.SetWindowText( STR_CONFIGDLG_RADIO_IC_RGBIR );
	m_btnRadioCDRColor.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_COLOR );
	m_btnRadioCDRGray.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_GRAY );
	m_btnRadioCDRBW.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_BW );
	m_btnRadioCDIGray.SetWindowText( STR_CONFIGDLG_RADIO_IRCD_GRAY );
	m_btnRadioCDIBW.SetWindowText( STR_CONFIGDLG_RADIO_IRCD_BW );
	m_btnCheckSCSaveFile.SetWindowText( STR_CONFIGDLG_CHECK_SC_SAVEFILE );

	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_600600 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_240240 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_120120 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_100100 );

	////////////////
	//// Step 3 ////
	////////////////

	m_stGroupMICR.SetWindowText( STR_CONFIGDLG_GROUP_MICR );
	m_stGroupMICRFont.SetWindowText( STR_CONFIGDLG_GROUP_MICRFONT );

	m_btnRadioMFE13B.SetWindowText( STR_CONFIGDLG_RADIO_MF_E13B );
	m_btnRadioMFCMC7.SetWindowText( STR_CONFIGDLG_RADIO_MF_CMC7 );

	m_btnCheckMIClearSpace.SetWindowText( STR_CONFIGDLG_CHECK_MI_CLEARSPACE );
	m_btnCheckMISaveFile.SetWindowText( STR_CONFIGDLG_CHECK_MI_SAVEFILE );

	////////////////
	//// Step 7 ////
	////////////////

	m_stGroupActivation.SetWindowText( STR_CONFIGDLG_GROUP_ACTIVATIONMODE );
	m_stGroupACActivation.SetWindowText( STR_CONFIGDLG_GROUP_AM_ACTIVATIONMODE );
	m_btnRadioAMHighSpeed.SetWindowText( STR_CONFIGDLG_RADIO_AM_HIGHSPEED );
	m_btnRadioAMConfirmation.SetWindowText( STR_CONFIGDLG_RADIO_AM_CONFIRMATION );
	m_btnCheckACConfirmationByUser.SetWindowText( STR_CONFIGDLG_CHECK_AM_ONEPIECE );

	m_stGroupWaterfall.SetWindowText( STR_CONFIGDLG_GROUP_WATERFALLMODE );
	m_stWaterfall.SetWindowText( STR_CONFIGDLG_STATIC_WATERFALLMODE );
	m_cmbWaterfall.AddString( STR_CONFIGDLG_COMBO_WM_DISABLE );
	m_cmbWaterfall.AddString( STR_CONFIGDLG_COMBO_WM_STANDARD );
	m_cmbWaterfall.AddString( STR_CONFIGDLG_COMBO_WM_INHERIT );

	////////////////
	//// Step 7 ////
	////////////////

	m_stGroupIQA.SetWindowText( STR_CONFIGDLG_GROUP_IQA );
	m_stIQAEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_EJECTPOCKET );
	m_stIQAColorDepth.SetWindowText(STR_CONFIGDLG_STATIC_COLORDEPTH  );

	m_btnCheckIQADetect.SetWindowText( STR_CONFIGDLG_CHECK_IQ_DETECT );
	m_btnCheckIQCancel.SetWindowText( STR_CONFIGDLG_CHECK_IQ_CANCEL );
	m_btnCheckIQUnderSize.SetWindowText( STR_CONFIGDLG_CHECK_IQ_UNDERSIZE );
	m_btnCheckIQOverSize.SetWindowText( STR_CONFIGDLG_CHECK_IQ_OVERSIZE );
	m_btnCheckIQMinCompressed.SetWindowText( STR_CONFIGDLG_CHECK_IQ_MINCOMPRESSED );
	m_btnCheckIQMaxCompressed.SetWindowText( STR_CONFIGDLG_CHECK_IQ_MAXCOMPRESSED );
	m_btnCheckIQFrontRearMismatch.SetWindowText( STR_CONFIGDLG_CHECK_IQ_FRONTREARMISMATCH );
	m_btnCheckIQTooLight.SetWindowText( STR_CONFIGDLG_CHECK_IQ_TOOLIGHT );
	m_btnCheckIQTooDark.SetWindowText( STR_CONFIGDLG_CHECK_IQ_TOODARK );
	m_btnCheckIQHorizontalStreaks.SetWindowText( STR_CONFIGDLG_CHECK_IQ_HORIZONTALSTREAKS );
	m_btnCheckIQSpotNoise.SetWindowText( STR_CONFIGDLG_CHECK_IQ_SPOTNOISE );
	m_btnCheckIQOutOfFocus.SetWindowText( STR_CONFIGDLG_CHECK_IQ_OUTOFFOCUS );
	m_btnCheckIQDocCorners.SetWindowText( STR_CONFIGDLG_CHECK_IQ_DOCCORNERS );
	m_btnCheckIQDocEdges.SetWindowText( STR_CONFIGDLG_CHECK_IQ_DOCEDGES );
	m_btnCheckIQFramingError.SetWindowText( STR_CONFIGDLG_CHECK_IQ_FRAMINGERROR );
	m_btnCheckIQSkew.SetWindowText( STR_CONFIGDLG_CHECK_IQ_SKEW );
	m_btnCheckIQCarbonStrip.SetWindowText( STR_CONFIGDLG_CHECK_IQ_CARBONSTRIP );
	m_btnCheckIQPiggyback.SetWindowText( STR_CONFIGDLG_CHECK_IQ_PIGGYBACK );

	m_cmbIQAColorDepth.AddString( STR_CONFIGDLG_COMBO_CD_GRAY );
	m_cmbIQAColorDepth.AddString( STR_CONFIGDLG_COMBO_CD_BW );
	m_cmbIQAEjectPocket.AddString( STR_CONFIGDLG_COMBO_EP_MAINPOCKET );
	m_cmbIQAEjectPocket.AddString( STR_CONFIGDLG_COMBO_EP_SUBPOCKET );
	m_cmbIQAEjectPocket.AddString( STR_CONFIGDLG_COMBO_EP_NOEJECT );
}

void CConfigureDlg::SetControlData(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	switch( m_sConfigData.nRadio_ScanningMedia )
	{
		case VAL_CONFIGDLG_RADIO_SM_CHECKPAPER:
			m_btnRadioSMCheckPaper.SetCheck(1);
			m_btnRadioSMCard.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_SM_CARD:
			m_btnRadioSMCheckPaper.SetCheck(0);
			m_btnRadioSMCard.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_LightSourceToScan )
	{
		case VAL_CONFIGDLG_RADIO_IC_RGB:
			m_btnRadioICRGB.SetCheck(1);
			m_btnRadioICIR.SetCheck(0);
			m_btnRadioICRGBIR.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IC_IR:
			m_btnRadioICRGB.SetCheck(0);
			m_btnRadioICIR.SetCheck(1);
			m_btnRadioICRGBIR.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IC_RGBIR:
			m_btnRadioICRGB.SetCheck(0);
			m_btnRadioICIR.SetCheck(0);
			m_btnRadioICRGBIR.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_RGBColorDepth )
	{
		case VAL_CONFIGDLG_RADIO_RGBCD_COLOR:
			m_btnRadioCDRColor.SetCheck(1);
			m_btnRadioCDRGray.SetCheck(0);
			m_btnRadioCDRBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_RGBCD_GRAY:
			m_btnRadioCDRColor.SetCheck(0);
			m_btnRadioCDRGray.SetCheck(1);
			m_btnRadioCDRBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_RGBCD_BW:
			m_btnRadioCDRColor.SetCheck(0);
			m_btnRadioCDRGray.SetCheck(0);
			m_btnRadioCDRBW.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_IRColorDepth )
	{
		case VAL_CONFIGDLG_RADIO_IRCD_GRAY:
			m_btnRadioCDIGray.SetCheck(1);
			m_btnRadioCDIBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IRCD_BW:
			m_btnRadioCDIGray.SetCheck(0);
			m_btnRadioCDIBW.SetCheck(1);
			break;
		default:
			break;
	}

	m_cmbResolution.SetCurSel( m_sConfigData.nCombo_Resolution );

	CString strTmp;
	strTmp.Format( _T("%d"), m_sConfigData.nEdit_NumberOfDocuments );
	m_edtEditNumberOfDocuments.SetWindowText( strTmp );
	m_spnSpinNumberOfDocuments.SetRange32(0, 255);
	m_spnSpinNumberOfDocuments.SetPos32( m_sConfigData.nEdit_NumberOfDocuments );

	m_btnCheckSCSaveFile.SetCheck( m_sConfigData.nCheck_Scan_SaveFile );

	////////////////
	//// Step 3 ////
	////////////////

	switch( m_sConfigData.nRadio_MICRFont )
	{
		case VAL_CONFIGDLG_RADIO_MF_E13B:
			m_btnRadioMFE13B.SetCheck(1);
			m_btnRadioMFCMC7.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_MF_CMC7:
			m_btnRadioMFE13B.SetCheck(0);
			m_btnRadioMFCMC7.SetCheck(1);
			break;
		default:
			break;
	}

	m_btnCheckMIClearSpace.SetCheck( m_sConfigData.nCheck_MICR_ClearSpace );
	m_btnCheckMISaveFile.SetCheck  ( m_sConfigData.nCheck_MICR_SaveFile );

	////////////////
	//// Step 7 ////
	////////////////

	switch( m_sConfigData.nRadio_ActivationMode )
	{
		case VAL_CONFIGDLG_RADIO_AM_HIGHSPEED:
			m_btnRadioAMHighSpeed.SetCheck(1);
			m_btnRadioAMConfirmation.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_AM_CONFIRMATION:
			m_btnRadioAMHighSpeed.SetCheck(0);
			m_btnRadioAMConfirmation.SetCheck(1);
			break;
		default:
			break;
	}

	m_btnCheckACConfirmationByUser.SetCheck( m_sConfigData.nCheck_ConfirmationByUser );
	m_cmbWaterfall.SetCurSel( m_sConfigData.nCombo_WaterfallMode );

	////////////////
	//// Step 7 ////
	////////////////

	m_btnCheckIQADetect.SetCheck( m_sConfigData.nCheck_IQA_Detect );
	m_btnCheckIQCancel.SetCheck( m_sConfigData.nCheck_IQA_Cancel );
	m_cmbIQAEjectPocket.SetCurSel( m_sConfigData.nCombo_IqaEjectPocket );
	m_cmbIQAColorDepth.SetCurSel( m_sConfigData.nCombo_IqaColorDepth );

	m_btnCheckIQUnderSize.SetCheck( m_sConfigData.nCheck_IQA_UnderSize );
	m_btnCheckIQOverSize.SetCheck( m_sConfigData.nCheck_IQA_OverSize );
	m_btnCheckIQMinCompressed.SetCheck( m_sConfigData.nCheck_IQA_MinCompressed );
	m_btnCheckIQMaxCompressed.SetCheck( m_sConfigData.nCheck_IQA_MaxCompressed );
	m_btnCheckIQFrontRearMismatch.SetCheck( m_sConfigData.nCheck_IQA_FrontRearMismatch );
	m_btnCheckIQTooLight.SetCheck( m_sConfigData.nCheck_IQA_TooLight );
	m_btnCheckIQTooDark.SetCheck( m_sConfigData.nCheck_IQA_TooDark );
	m_btnCheckIQHorizontalStreaks.SetCheck( m_sConfigData.nCheck_IQA_HorizontalStreaks );
	m_btnCheckIQSpotNoise.SetCheck( m_sConfigData.nCheck_IQA_SpotNoise );
	m_btnCheckIQOutOfFocus.SetCheck( m_sConfigData.nCheck_IQA_OutOfFocus );
	m_btnCheckIQDocCorners.SetCheck( m_sConfigData.nCheck_IQA_DocCorners );
	m_btnCheckIQDocEdges.SetCheck( m_sConfigData.nCheck_IQA_DocEdges );
	m_btnCheckIQFramingError.SetCheck( m_sConfigData.nCheck_IQA_FramingError );
	m_btnCheckIQSkew.SetCheck( m_sConfigData.nCheck_IQA_Skew );
	m_btnCheckIQCarbonStrip.SetCheck( m_sConfigData.nCheck_IQA_CarbonStrip );
	m_btnCheckIQPiggyback.SetCheck( m_sConfigData.nCheck_IQA_Piggyback );
}

void CConfigureDlg::GetControlData(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CHECKPAPER;
	}
	else if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CARD;
	}
	else
	{
		ASSERT(FALSE);
	}

	if( m_btnRadioICRGB.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_LightSourceToScan = VAL_CONFIGDLG_RADIO_IC_RGB;
	}
	else if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_LightSourceToScan = VAL_CONFIGDLG_RADIO_IC_IR;
	}
	else if( m_btnRadioICRGBIR.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_LightSourceToScan = VAL_CONFIGDLG_RADIO_IC_RGBIR;
	}
	else
	{
		ASSERT(FALSE);
	}

	if( m_btnRadioCDRColor.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_COLOR;
	}
	else if( m_btnRadioCDRGray.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_GRAY;
	}
	else if( m_btnRadioCDRBW.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_BW;
	}
	else
	{
		ASSERT(FALSE);
	}

	if( m_btnRadioCDIGray.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_GRAY;
	}
	else if( m_btnRadioCDIBW.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_BW;
	}
	else
	{
		ASSERT(FALSE);
	}

	m_sConfigData.nCombo_Resolution = GetValueResolutionCombobox();

	m_sConfigData.nEdit_NumberOfDocuments = m_spnSpinNumberOfDocuments.GetPos32();

	m_sConfigData.nCheck_Scan_SaveFile = m_btnCheckSCSaveFile.GetCheck();

	////////////////
	//// Step 3 ////
	////////////////

	if( m_btnRadioMFE13B.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_E13B;
	}
	else if( m_btnRadioMFCMC7.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_CMC7;
	}
	else
	{
		ASSERT(FALSE);
	}

	m_sConfigData.nCheck_MICR_ClearSpace = m_btnCheckMIClearSpace.GetCheck();
	m_sConfigData.nCheck_MICR_SaveFile   = m_btnCheckMISaveFile.GetCheck();

	////////////////
	//// Step 7 ////
	////////////////

	if( m_btnRadioAMHighSpeed.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ActivationMode = VAL_CONFIGDLG_RADIO_AM_HIGHSPEED;
	}
	else if( m_btnRadioAMConfirmation.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ActivationMode = VAL_CONFIGDLG_RADIO_AM_CONFIRMATION;
	}
	else
	{
		ASSERT(FALSE);
	}

	m_sConfigData.nCheck_ConfirmationByUser	= m_btnCheckACConfirmationByUser.GetCheck();
	m_sConfigData.nCombo_WaterfallMode      = m_cmbWaterfall.GetCurSel();

	////////////////
	//// Step 7 ////
	////////////////

	m_sConfigData.nCheck_IQA_Detect				= m_btnCheckIQADetect.GetCheck();
	m_sConfigData.nCheck_IQA_Cancel				= m_btnCheckIQCancel.GetCheck();
	m_sConfigData.nCombo_IqaEjectPocket			= m_cmbIQAEjectPocket.GetCurSel();
	m_sConfigData.nCombo_IqaColorDepth			= m_cmbIQAColorDepth.GetCurSel();

	m_sConfigData.nCheck_IQA_UnderSize			= m_btnCheckIQUnderSize.GetCheck();
	m_sConfigData.nCheck_IQA_OverSize			= m_btnCheckIQOverSize.GetCheck();
	m_sConfigData.nCheck_IQA_MinCompressed		= m_btnCheckIQMinCompressed.GetCheck();
	m_sConfigData.nCheck_IQA_MaxCompressed		= m_btnCheckIQMaxCompressed.GetCheck();
	m_sConfigData.nCheck_IQA_FrontRearMismatch	= m_btnCheckIQFrontRearMismatch.GetCheck();
	m_sConfigData.nCheck_IQA_TooLight			= m_btnCheckIQTooLight.GetCheck();
	m_sConfigData.nCheck_IQA_TooDark			= m_btnCheckIQTooDark.GetCheck();
	m_sConfigData.nCheck_IQA_HorizontalStreaks	= m_btnCheckIQHorizontalStreaks.GetCheck();
	m_sConfigData.nCheck_IQA_SpotNoise			= m_btnCheckIQSpotNoise.GetCheck();
	m_sConfigData.nCheck_IQA_OutOfFocus			= m_btnCheckIQOutOfFocus.GetCheck();
	m_sConfigData.nCheck_IQA_DocCorners			= m_btnCheckIQDocCorners.GetCheck();
	m_sConfigData.nCheck_IQA_DocEdges			= m_btnCheckIQDocEdges.GetCheck();
	m_sConfigData.nCheck_IQA_FramingError		= m_btnCheckIQFramingError.GetCheck();
	m_sConfigData.nCheck_IQA_Skew				= m_btnCheckIQSkew.GetCheck();
	m_sConfigData.nCheck_IQA_CarbonStrip		= m_btnCheckIQCarbonStrip.GetCheck();
	m_sConfigData.nCheck_IQA_Piggyback			= m_btnCheckIQPiggyback.GetCheck();
}

void CConfigureDlg::UpdateControls(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	// LightSource
	if( m_btnRadioSMCard.GetCheck() == 1 &&
		m_sConfigData.bIsScanningCardIR1PassSupported == FALSE )
	{
		m_btnRadioICRGBIR.EnableWindow( FALSE );
		
		if(m_btnRadioICRGBIR.GetCheck() == 1)
		{
			m_btnRadioICIR.SetCheck(1);
			m_btnRadioICRGBIR.SetCheck(0);
		}
	}
	else
	{
		m_btnRadioICRGBIR.EnableWindow( TRUE );
	}

	// RGB ColorDepth Color
	if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_btnRadioCDRColor.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRColor.EnableWindow( TRUE );
	}

	// RGB ColorDepth Gray
	if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_btnRadioCDRGray.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRGray.EnableWindow( TRUE );
	}

	// RGB ColorDepth B/W
	if( m_btnRadioICIR.GetCheck() == 1 || m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioCDRBW.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRBW.EnableWindow( TRUE );
	}

	// IR ColorDepth Gray
	if( m_btnRadioICRGB.GetCheck() == 1 )
	{
		m_btnRadioCDIGray.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDIGray.EnableWindow( TRUE );
	}

	// IR ColorDepth B/W
	if( m_btnRadioICRGB.GetCheck() == 1 || m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioCDIBW.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDIBW.EnableWindow( TRUE );
	}

	if( m_btnRadioCDRBW.GetCheck() == 1 && m_btnRadioCDRGray.IsWindowEnabled() && !m_btnRadioCDRBW.IsWindowEnabled() )
	{
		m_btnRadioCDRColor.SetCheck(0);
		m_btnRadioCDRGray.SetCheck(1);
		m_btnRadioCDRBW.SetCheck(0);
	}
	if( m_btnRadioCDIBW.GetCheck() == 1 && m_btnRadioCDIGray.IsWindowEnabled() && !m_btnRadioCDIBW.IsWindowEnabled() )
	{
		m_btnRadioCDIGray.SetCheck(1);
		m_btnRadioCDIBW.SetCheck(0);
	}

	// Updating resolution options for scanning unit
	CString strResolution;
	m_cmbResolution.GetLBText(m_cmbResolution.GetCurSel(), strResolution);
	if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_cmbResolution.ResetContent();
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_240240 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_120120 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_100100 );
		m_cmbResolution.SetCurSel(2);
	}
	else if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_cmbResolution.ResetContent();
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_600600 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
		m_cmbResolution.SetCurSel(1);
	}
	else
	{
		ASSERT(FALSE);
	}
	// restore the selection.
	int nIndex = m_cmbResolution.FindString(-1, strResolution);
	if (nIndex != CB_ERR)
	{
		m_cmbResolution.SetCurSel(nIndex);
	}

	////////////////
	//// Step 3 ////
	////////////////

	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioMFE13B.EnableWindow( false );
		m_btnRadioMFCMC7.EnableWindow( false );
		m_btnCheckMIClearSpace.EnableWindow( false );
		m_btnCheckMISaveFile.EnableWindow( false );
	}
	else if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_btnRadioMFE13B.EnableWindow( true );
		m_btnRadioMFCMC7.EnableWindow( true );
		m_btnCheckMIClearSpace.EnableWindow( true );
		m_btnCheckMISaveFile.EnableWindow( true );
	}
	else
	{
		ASSERT(FALSE);
	}

	////////////////
	//// Step 7 ////
	////////////////

	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_cmbWaterfall.EnableWindow( false );
		m_stGroupIQA.EnableWindow( false );
		m_btnCheckIQADetect.EnableWindow( false );
		m_btnRadioAMHighSpeed.EnableWindow( false );
		m_btnRadioAMConfirmation.EnableWindow( false );
	}
	else if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_cmbWaterfall.EnableWindow( true );
		if( m_btnRadioICIR.GetCheck() != 1 && m_btnRadioCDRColor.GetCheck() != 1)
		{
			m_stGroupIQA.EnableWindow( true );
			m_btnCheckIQADetect.EnableWindow( true );
		}
		else
		{
			m_stGroupIQA.EnableWindow( false );
			m_btnCheckIQADetect.EnableWindow( false );
		}
		m_btnRadioAMHighSpeed.EnableWindow( true );
		m_btnRadioAMConfirmation.EnableWindow( true );
	}
	else
	{
		ASSERT(FALSE);
	}

	if ( m_btnCheckIQADetect.GetCheck() == 1 && m_btnCheckIQADetect.IsWindowEnabled() == TRUE)
	{
		if(m_cmbWaterfall.GetCurSel() == VAL_CONFIGDLG_COMBO_WM_DISABLE)
		{
			m_btnCheckIQCancel.EnableWindow( true );
			m_stIQAEjectPocket.EnableWindow( true );
			m_cmbIQAEjectPocket.EnableWindow( true );
		}
		else
		{
			m_btnCheckIQCancel.EnableWindow( false );
			m_stIQAEjectPocket.EnableWindow( false );
			m_cmbIQAEjectPocket.EnableWindow( false );
		}

		m_stIQAColorDepth.EnableWindow( true );
		m_cmbIQAColorDepth.EnableWindow( true );

		m_btnCheckIQUnderSize.EnableWindow( true );
		m_btnCheckIQOverSize.EnableWindow( true );
		m_btnCheckIQMinCompressed.EnableWindow( true );
		m_btnCheckIQMaxCompressed.EnableWindow( true );
		m_btnCheckIQFrontRearMismatch.EnableWindow( true );
		m_btnCheckIQTooLight.EnableWindow( true );
		m_btnCheckIQTooDark.EnableWindow( true );
		m_btnCheckIQHorizontalStreaks.EnableWindow( true );
		m_btnCheckIQSpotNoise.EnableWindow( true );
		m_btnCheckIQOutOfFocus.EnableWindow( true );
		m_btnCheckIQDocCorners.EnableWindow( true );
		m_btnCheckIQDocEdges.EnableWindow( true );
		m_btnCheckIQFramingError.EnableWindow( true );
		m_btnCheckIQSkew.EnableWindow( true );
		m_btnCheckIQCarbonStrip.EnableWindow( true );
		m_btnCheckIQPiggyback.EnableWindow( true );
	}
	else
	{
		m_btnCheckIQCancel.EnableWindow( false );
		m_stIQAEjectPocket.EnableWindow( false );
		m_cmbIQAEjectPocket.EnableWindow( false );

		m_stIQAColorDepth.EnableWindow( false );
		m_cmbIQAColorDepth.EnableWindow( false );

		m_btnCheckIQUnderSize.EnableWindow( false );
		m_btnCheckIQOverSize.EnableWindow( false );
		m_btnCheckIQMinCompressed.EnableWindow( false );
		m_btnCheckIQMaxCompressed.EnableWindow( false );
		m_btnCheckIQFrontRearMismatch.EnableWindow( false );
		m_btnCheckIQTooLight.EnableWindow( false );
		m_btnCheckIQTooDark.EnableWindow( false );
		m_btnCheckIQHorizontalStreaks.EnableWindow( false );
		m_btnCheckIQSpotNoise.EnableWindow( false );
		m_btnCheckIQOutOfFocus.EnableWindow( false );
		m_btnCheckIQDocCorners.EnableWindow( false );
		m_btnCheckIQDocEdges.EnableWindow( false );
		m_btnCheckIQFramingError.EnableWindow( false );
		m_btnCheckIQSkew.EnableWindow( false );
		m_btnCheckIQCarbonStrip.EnableWindow( false );
		m_btnCheckIQPiggyback.EnableWindow( false );
	}

	if ( m_btnRadioAMConfirmation.GetCheck() == 1 &&
		 m_btnRadioAMConfirmation.IsWindowEnabled() == TRUE &&
		 m_cmbWaterfall.GetCurSel() == VAL_CONFIGDLG_COMBO_WM_DISABLE)
	{
		m_btnCheckACConfirmationByUser.EnableWindow( true );
	}
	else
	{
		m_btnCheckACConfirmationByUser.EnableWindow( false );
	}
}

////////////////
//// Step 2 ////
////////////////

void CConfigureDlg::OnBnClickedOk(void)
{
	GetControlData();
	OnOK();
}

void CConfigureDlg::OnBnClickedCancel(void)
{
	OnCancel();
}

void CConfigureDlg::OnChangeRadioScanningMedia(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeRadioLightSource(void)
{
	UpdateControls();
}

// Step 7
void CConfigureDlg::OnChangeRadioRgbColorDepth(void)
{
	UpdateControls();
}

void CConfigureDlg::OnCbnSelchangeComboIQAColorDepth(void)
{
	UpdateControls();
}

////////////////
//// Step 7 ////
////////////////

void CConfigureDlg::OnChangeRadioActivationMode(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckIqaDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnCbnSelchangeComboWaterfallMode(void)
{
	UpdateControls();
}

////////////////
//// Step 2 ////
////////////////

void CConfigureDlg::SetIndexResolutionCombobox( int nResolution )
{
	CString strResolution;
	switch (nResolution)
	{
		case VAL_CONFIGDLG_COMBO_RE_600600: strResolution = STR_CONFIGDLG_COMBO_RE_600600; break;
		case VAL_CONFIGDLG_COMBO_RE_300300: strResolution = STR_CONFIGDLG_COMBO_RE_300300; break;
		case VAL_CONFIGDLG_COMBO_RE_240240: strResolution = STR_CONFIGDLG_COMBO_RE_240240; break;
		case VAL_CONFIGDLG_COMBO_RE_200200: strResolution = STR_CONFIGDLG_COMBO_RE_200200; break;
		case VAL_CONFIGDLG_COMBO_RE_120120: strResolution = STR_CONFIGDLG_COMBO_RE_120120; break;
		case VAL_CONFIGDLG_COMBO_RE_100100: strResolution = STR_CONFIGDLG_COMBO_RE_100100; break;
		default:
			ASSERT(FALSE);
			return;
	}
	int nIndex = m_cmbResolution.FindString(-1, strResolution);
	if (nIndex != CB_ERR)
	{
		m_cmbResolution.SetCurSel(nIndex);
	}
	else
	{
		m_cmbResolution.SetCurSel(0);
	}
	return;
}

int CConfigureDlg::GetValueResolutionCombobox(void)
{
	CString strResolution;
	m_cmbResolution.GetLBText( m_cmbResolution.GetCurSel(), strResolution );

	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_600600 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_600600;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_300300 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_300300;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_240240 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_240240;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_200200 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_200200;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_120120 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_120120;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_100100 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_100100;
	}

	return -1;
}
