#if !defined(SAMPLE_5e8804ed_e472_480c_b03d_e69fcfe312f1)
#define SAMPLE_5e8804ed_e472_480c_b03d_e69fcfe312f1

#pragma once

class CIqaParam
{
private:
	BYTE m_byIqaDetect;
	BYTE m_byColorDepth;
	BYTE m_byCancel;
	BYTE m_byEjectPocket;
	BYTE m_byUnderSize;
	BYTE m_byOverSize;
	BYTE m_byMinCompressed;
	BYTE m_byMaxCompressed;
	BYTE m_byFrontRearImageMismatch;
	BYTE m_byImageTooLight;
	BYTE m_byImageTooDark;
	BYTE m_byStreaks;
	BYTE m_bySpotNoise;
	BYTE m_byOutOfFocus;
	BYTE m_byFoldedTornCorner;
	BYTE m_byFoldedTornEdge;
	BYTE m_byFramingError;
	BYTE m_byExcessiveSkew;
	BYTE m_byCarbon;
	BYTE m_byPiggyback;

public:
	CIqaParam(void);
	virtual ~CIqaParam(void);

	void SetIqaDetect(BYTE byIqaDetect);
	BYTE GetIqaDetect(void) const;
	void SetIqaColorDepth(BYTE byColorDepth);
	BYTE GetIqaColorDepth(void) const;
	void SetIqaCancel(BYTE byCancel);
	BYTE GetIqaCancel(void) const;
	void SetIqaEjectPocket(BYTE byEjectPocket);
	BYTE GetIqaEjectPocket(void) const;
	void SetUnderSize(BYTE byUnderSize);
	BYTE GetUnderSize(void) const;
	void SetOverSize(BYTE byOverSize);
	BYTE GetOverSize(void) const;
	void SetMinCompressed(BYTE byMinCompressed);
	BYTE GetMinCompressed(void) const;
	void SetMaxCompressed(BYTE byMaxCompressed);
	BYTE GetMaxCompressed(void) const;
	void SetFrontRearImageMismatch(BYTE byFrontRearImageMismatch);
	BYTE GetFrontRearImageMismatch(void) const;
	void SetImageTooLight(BYTE byImageTooLight);
	BYTE GetImageTooLight(void) const;
	void SetImageTooDark(BYTE byImageTooDark);
	BYTE GetImageTooDark(void) const;
	void SetHorizontalStreaksPresent(BYTE byStreaks);
	BYTE GetHorizontalStreaksPresent(void) const;
	void SetSpotNoise(BYTE bySpotNosise);
	BYTE GetSpotNoise(void) const;
	void SetOutOfFocus(BYTE byOutOfFocus);
	BYTE GetOutOfFocus(void) const;
	void SetFoldedTornCorner(BYTE byFoldedTornCorner);
	BYTE GetFoldedTornCorner(void) const;
	void SetFoldedTornEdge(BYTE byFoldedTornEdge);
	BYTE GetFoldedTornEdge(void) const;
	void SetFramingError(BYTE byFramingError);
	BYTE GetFramingError(void) const;
	void SetExcessiveSkew(BYTE byExcessiveSkew);
	BYTE GetExcessiveSkew(void) const;
	void SetCarbonStripDetection(BYTE byCarbonStripDetection);
	BYTE GetCarbonStripDetection(void) const;
	void SetPiggyback(BYTE byPiggyback);
	BYTE GetPiggyback(void) const;
};

#endif  /* !defined(SAMPLE_5e8804ed_e472_480c_b03d_e69fcfe312f1) */
