////////////////
//// Step 7 ////
////////////////

// IqaResultDlg.cpp : Implementation
//

#include "stdafx.h"
#include "Resource.h"
#include "IqaResultDlg.h"


// IqaResultDlg Dialog

IMPLEMENT_DYNAMIC(CIqaResultDlg, CDialog)

CIqaResultDlg::CIqaResultDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIqaResultDlg::IDD, pParent)
{
}

CIqaResultDlg::~CIqaResultDlg(void)
{
}

void CIqaResultDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

	DDX_Control(pDX, IDC_BUTTON_CLOSE, m_btnClose);

	DDX_Control(pDX, IDC_STATIC_UNDERSIZE, m_stIQUnderSize);
	DDX_Control(pDX, IDC_STATIC_OVERSIZE, m_stIQOverSize);
	DDX_Control(pDX, IDC_STATIC_MINCOMPRESSED, m_stIQMinCompressed);
	DDX_Control(pDX, IDC_STATIC_MAXCOMPRESSED, m_stIQMaxCompressed);
	DDX_Control(pDX, IDC_STATIC_FRONTREARMISMATCH, m_stIQFrontRearMismatch);
	DDX_Control(pDX, IDC_STATIC_TOOLIGHT, m_stIQTooLight);
	DDX_Control(pDX, IDC_STATIC_TOODARK, m_stIQTooDark);
	DDX_Control(pDX, IDC_STATIC_HORIZONTALSTREAKS,m_stIQHorizontalStreaks);
	DDX_Control(pDX, IDC_STATIC_SPOTNOISE, m_stIQSpotNoise);
	DDX_Control(pDX, IDC_STATIC_OUTOFFOCUS, m_stIQOutOfFocus);
	DDX_Control(pDX, IDC_STATIC_DOCCORNERS, m_stIQDocCorners);
	DDX_Control(pDX, IDC_STATIC_DOCEDGES, m_stIQDocEdges);
	DDX_Control(pDX, IDC_STATIC_FRAMINGERROR, m_stIQFramingError);
	DDX_Control(pDX, IDC_STATIC_SKEW, m_stIQSkew);
	DDX_Control(pDX, IDC_STATIC_CARBONSTRIP, m_stIQCarbonStrip);
	DDX_Control(pDX, IDC_STATIC_PIGGYBACK, m_stIQPiggyback);

	DDX_Control(pDX, IDC_EDIT_UNDERSIZE, m_edtIQUnderSize);
	DDX_Control(pDX, IDC_EDIT_OVERSIZE, m_edtIQOverSize);
	DDX_Control(pDX, IDC_EDIT_MINCOMPRESSED, m_edtIQMinCompressed);
	DDX_Control(pDX, IDC_EDIT_MAXCOMPRESSED, m_edtIQMaxCompressed);
	DDX_Control(pDX, IDC_EDIT_FRONTREARMISMATCH, m_edtIQFrontRearMismatch);
	DDX_Control(pDX, IDC_EDIT_TOOLIGHT, m_edtIQTooLight);
	DDX_Control(pDX, IDC_EDIT_TOODARK, m_edtIQTooDark);
	DDX_Control(pDX, IDC_EDIT_HORIZONTALSTREAKS,m_edtIQHorizontalStreaks);
	DDX_Control(pDX, IDC_EDIT_SPOTNOISE, m_edtIQSpotNoise);
	DDX_Control(pDX, IDC_EDIT_OUTOFFOCUS, m_edtIQOutOfFocus);
	DDX_Control(pDX, IDC_EDIT_DOCCORNERS, m_edtIQDocCorners);
	DDX_Control(pDX, IDC_EDIT_DOCEDGES, m_edtIQDocEdges);
	DDX_Control(pDX, IDC_EDIT_FRAMINGERROR, m_edtIQFramingError);
	DDX_Control(pDX, IDC_EDIT_SKEW, m_edtIQSkew);
	DDX_Control(pDX, IDC_EDIT_CARBONSTRIP, m_edtIQCarbonStrip);
	DDX_Control(pDX, IDC_EDIT_PIGGYBACK, m_edtIQPiggyback);
}

BEGIN_MESSAGE_MAP(CIqaResultDlg, CDialog)

	ON_BN_CLICKED(IDC_BUTTON_CLOSE, &CIqaResultDlg::OnBnClickedClose)

END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////
// CIqaResultDlg message handlers
/////////////////////////////////////////////////////////////////

BOOL CIqaResultDlg::OnInitDialog(void)
{
	CDialog::OnInitDialog();

	LoadResourceString();

	return TRUE;  // return TRUE unless you set the focus to a control
}

void CIqaResultDlg::LoadResourceString(void)
{
	m_btnClose.SetWindowText( STR_IQARESULTDLG_BUTTON_CLOSE );

	m_stIQUnderSize.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_UNDERSIZE );
	m_stIQOverSize.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_OVERSIZE );
	m_stIQMinCompressed.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_MINCOMPRESSED );
	m_stIQMaxCompressed.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_MAXCOMPRESSED );
	m_stIQFrontRearMismatch.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_FRONTREARMISMATCH );
	m_stIQTooLight.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_TOOLIGHT );
	m_stIQTooDark.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_TOODARK );
	m_stIQHorizontalStreaks.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_HORIZONTALSTREAKS );
	m_stIQSpotNoise.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_SPOTNOISE );
	m_stIQOutOfFocus.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_OUTOFFOCUS );
	m_stIQDocCorners.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_DOCCORNERS );
	m_stIQDocEdges.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_DOCEDGES );
	m_stIQFramingError.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_FRAMINGERROR );
	m_stIQSkew.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_SKEW );
	m_stIQCarbonStrip.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_CARBONSTRIP );
	m_stIQPiggyback.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_PIGGYBACK );
}

void CIqaResultDlg::DisplayIqaResult( CIqaResult* pIqaResult )
{
	if(pIqaResult == NULL)
	{
		return;
	}

	SetIqaResult(pIqaResult->GetUnderSize(), &m_edtIQUnderSize);
	SetIqaResult(pIqaResult->GetOverSize(), &m_edtIQOverSize);
	SetIqaResult(pIqaResult->GetMinCompressed(), &m_edtIQMinCompressed);
	SetIqaResult(pIqaResult->GetMaxCompressed(), &m_edtIQMaxCompressed);
	SetIqaResult(pIqaResult->GetFrontRearImageMismatch(), &m_edtIQFrontRearMismatch);
	SetIqaResult(pIqaResult->GetImageTooLight(), &m_edtIQTooLight);
	SetIqaResult(pIqaResult->GetImageTooDark(), &m_edtIQTooDark);
	SetIqaResult(pIqaResult->GetHorizontalStreaksPresent(), &m_edtIQHorizontalStreaks);
	SetIqaResult(pIqaResult->GetSpotNosise(), &m_edtIQSpotNoise);
	SetIqaResult(pIqaResult->GetOutOfFocus(), &m_edtIQOutOfFocus);
	SetIqaResult(pIqaResult->GetFoldedTornCorner(), &m_edtIQDocCorners);
	SetIqaResult(pIqaResult->GetFoldedTornEdge(), &m_edtIQDocEdges);
	SetIqaResult(pIqaResult->GetFramingError(), &m_edtIQFramingError);
	SetIqaResult(pIqaResult->GetExcessiveSkew(), &m_edtIQSkew);
	SetIqaResult(pIqaResult->GetCarbonStripDetection(), &m_edtIQCarbonStrip);
	SetIqaResult(pIqaResult->GetPiggyback(), &m_edtIQPiggyback);
}

void CIqaResultDlg::SetIqaResult(BYTE byIqaResult, CEdit* pedtControl )
{
	if(pedtControl == NULL)
	{
		return;
	}

	switch(byIqaResult)
	{
	case IQARESULT_NOT_TESTED:
		pedtControl->SetWindowText("Not Tested.");
		break;
	case IQARESULT_PASS:
		pedtControl->SetWindowText("Pass.");
		break;
	case IQARESULT_NOT_PASS:
		pedtControl->SetWindowText("Not Pass.");
		break;
	default:
		break;
	}
}

void CIqaResultDlg::UpdateControls( CIqaParam* pIqaParam )
{
	if ( pIqaParam->GetUnderSize() == MF_IQA_TEST_ENABLE )
	{
		m_stIQUnderSize.EnableWindow();
		m_edtIQUnderSize.EnableWindow();
	}
	else
	{
		m_stIQUnderSize.EnableWindow(FALSE);
		m_edtIQUnderSize.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetOverSize() == MF_IQA_TEST_ENABLE )
	{
		m_stIQOverSize.EnableWindow();
		m_edtIQOverSize.EnableWindow();
	}
	else
	{
		m_stIQOverSize.EnableWindow(FALSE);
		m_edtIQOverSize.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetMinCompressed() == MF_IQA_TEST_ENABLE )
	{
		m_stIQMinCompressed.EnableWindow();
		m_edtIQMinCompressed.EnableWindow();
	}
	else
	{
		m_stIQMinCompressed.EnableWindow(FALSE);
		m_edtIQMinCompressed.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetMaxCompressed() == MF_IQA_TEST_ENABLE )
	{
		m_stIQMaxCompressed.EnableWindow();
		m_edtIQMaxCompressed.EnableWindow();
	}
	else
	{
		m_stIQMaxCompressed.EnableWindow(FALSE);
		m_edtIQMaxCompressed.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetFrontRearImageMismatch() == MF_IQA_TEST_ENABLE )
	{
		m_stIQFrontRearMismatch.EnableWindow();
		m_edtIQFrontRearMismatch.EnableWindow();
	}
	else
	{
		m_stIQFrontRearMismatch.EnableWindow(FALSE);
		m_edtIQFrontRearMismatch.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetImageTooLight() == MF_IQA_TEST_ENABLE )
	{
		m_stIQTooLight.EnableWindow();
		m_edtIQTooLight.EnableWindow();
	}
	else
	{
		m_stIQTooLight.EnableWindow(FALSE);
		m_edtIQTooLight.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetImageTooDark() == MF_IQA_TEST_ENABLE )
	{
		m_stIQTooDark.EnableWindow();
		m_edtIQTooDark.EnableWindow();
	}
	else
	{
		m_stIQTooDark.EnableWindow(FALSE);
		m_edtIQTooDark.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetHorizontalStreaksPresent() == MF_IQA_TEST_ENABLE )
	{
		m_stIQHorizontalStreaks.EnableWindow();
		m_edtIQHorizontalStreaks.EnableWindow();
	}
	else
	{
		m_stIQHorizontalStreaks.EnableWindow(FALSE);
		m_edtIQHorizontalStreaks.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetSpotNoise() == MF_IQA_TEST_ENABLE )
	{
		m_stIQSpotNoise.EnableWindow();
		m_edtIQSpotNoise.EnableWindow();
	}
	else
	{
		m_stIQSpotNoise.EnableWindow(FALSE);
		m_edtIQSpotNoise.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetOutOfFocus() == MF_IQA_TEST_ENABLE )
	{
		m_stIQOutOfFocus.EnableWindow();
		m_edtIQOutOfFocus.EnableWindow();
	}
	else
	{
		m_stIQOutOfFocus.EnableWindow(FALSE);
		m_edtIQOutOfFocus.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetFoldedTornCorner() == MF_IQA_TEST_ENABLE )
	{
		m_stIQDocCorners.EnableWindow();
		m_edtIQDocCorners.EnableWindow();
	}
	else
	{
		m_stIQDocCorners.EnableWindow(FALSE);
		m_edtIQDocCorners.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetFoldedTornEdge() == MF_IQA_TEST_ENABLE )
	{
		m_stIQDocEdges.EnableWindow();
		m_edtIQDocEdges.EnableWindow();
	}
	else
	{
		m_stIQDocEdges.EnableWindow(FALSE);
		m_edtIQDocEdges.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetFramingError() == MF_IQA_TEST_ENABLE )
	{
		m_stIQFramingError.EnableWindow();
		m_edtIQFramingError.EnableWindow();
	}
	else
	{
		m_stIQFramingError.EnableWindow(FALSE);
		m_edtIQFramingError.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetExcessiveSkew() == MF_IQA_TEST_ENABLE )
	{
		m_stIQSkew.EnableWindow();
		m_edtIQSkew.EnableWindow();
	}
	else
	{
		m_stIQSkew.EnableWindow(FALSE);
		m_edtIQSkew.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetCarbonStripDetection() == MF_IQA_TEST_ENABLE )
	{
		m_stIQCarbonStrip.EnableWindow();
		m_edtIQCarbonStrip.EnableWindow();
	}
	else
	{
		m_stIQCarbonStrip.EnableWindow(FALSE);
		m_edtIQCarbonStrip.EnableWindow(FALSE);
	}

	if ( pIqaParam->GetPiggyback() == MF_IQA_TEST_ENABLE )
	{
		m_stIQPiggyback.EnableWindow();
		m_edtIQPiggyback.EnableWindow();
	}
	else
	{
		m_stIQPiggyback.EnableWindow(FALSE);
		m_edtIQPiggyback.EnableWindow(FALSE);
	}
}

void CIqaResultDlg::OnBnClickedClose(void)
{
	OnCancel();
}
