#pragma once
#include "afxwin.h"


// CIqaResultDlg Dialog

class CIqaResultDlg : public CDialog
{
	DECLARE_DYNAMIC(CIqaResultDlg)

public:
	CIqaResultDlg(CWnd* pParent = NULL);   // Standard constructor
	virtual ~CIqaResultDlg(void);

	// Dialog resouce ID
	enum { IDD = IDD_DIALOG_IQARESULT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Support

public:
	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog(void);
	afx_msg void OnBnClickedClose(void);

// Control
protected:
	CButton	m_btnClose;

	CStatic m_stIQUnderSize;
	CStatic m_stIQOverSize;
	CStatic m_stIQMinCompressed;
	CStatic m_stIQMaxCompressed;
	CStatic m_stIQFrontRearMismatch;
	CStatic m_stIQTooLight;
	CStatic m_stIQTooDark;
	CStatic m_stIQHorizontalStreaks;
	CStatic m_stIQSpotNoise;
	CStatic m_stIQOutOfFocus;
	CStatic m_stIQDocCorners;
	CStatic m_stIQDocEdges;
	CStatic m_stIQFramingError;
	CStatic m_stIQSkew;
	CStatic m_stIQCarbonStrip;
	CStatic m_stIQPiggyback;

	CEdit m_edtIQUnderSize;
	CEdit m_edtIQOverSize;
	CEdit m_edtIQMinCompressed;
	CEdit m_edtIQMaxCompressed;
	CEdit m_edtIQFrontRearMismatch;
	CEdit m_edtIQTooLight;
	CEdit m_edtIQTooDark;
	CEdit m_edtIQHorizontalStreaks;
	CEdit m_edtIQSpotNoise;
	CEdit m_edtIQOutOfFocus;
	CEdit m_edtIQDocCorners;
	CEdit m_edtIQDocEdges;
	CEdit m_edtIQFramingError;
	CEdit m_edtIQSkew;
	CEdit m_edtIQCarbonStrip;
	CEdit m_edtIQPiggyback;

public:
	void DisplayIqaResult( CIqaResult* pIqaResult );
	void UpdateControls( CIqaParam* pIqaParam );

protected:
	void LoadResourceString(void);
	void SetIqaResult( BYTE byIqaResult, CEdit* pedtControl );
};
