// ConfigureDlg.cpp : Implementation
//

#include "stdafx.h"
#include "Resource.h"
#include "ConfigureDlg.h"


// CConfigureDlg Dialog

IMPLEMENT_DYNAMIC(CConfigureDlg, CDialog)

CConfigureDlg::CConfigureDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigureDlg::IDD, pParent)
{
}

CConfigureDlg::~CConfigureDlg(void)
{
}

void CConfigureDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	// Step 2
	DDX_Control(pDX, IDOK, m_btnOK);
	DDX_Control(pDX, IDCANCEL, m_btnCancel);
	DDX_Control(pDX, IDC_GROUP_SCANNING, m_stGroupScanning);
	DDX_Control(pDX, IDC_GROUP_SCANNINGMEDIA, m_stGroupScanningMedia);
	DDX_Control(pDX, IDC_GROUP_LIGHTSOURCE, m_stGroupLightSource);
	DDX_Control(pDX, IDC_GROUP_RGBCOLORDEPTH, m_stGroupRGBColorDepth);
	DDX_Control(pDX, IDC_GROUP_IRCOLORDEPTH, m_stGroupIRColorDepth);
	DDX_Control(pDX, IDC_STATIC_RESOLUTION, m_stResolution);
	DDX_Control(pDX, IDC_COMBO_RESOLUTION, m_cmbResolution);
	DDX_Control(pDX, IDC_RADIO_SM_CHECKPAPER, m_btnRadioSMCheckPaper);
	DDX_Control(pDX, IDC_RADIO_SM_CARD, m_btnRadioSMCard);
	DDX_Control(pDX, IDC_RADIO_IC_RGB, m_btnRadioICRGB);
	DDX_Control(pDX, IDC_RADIO_IC_IR, m_btnRadioICIR);
	DDX_Control(pDX, IDC_RADIO_IC_RGBIR, m_btnRadioICRGBIR);
	DDX_Control(pDX, IDC_RADIO_RGBCD_COLOR, m_btnRadioCDRColor);
	DDX_Control(pDX, IDC_RADIO_RGBCD_GRAY, m_btnRadioCDRGray);
	DDX_Control(pDX, IDC_RADIO_RGBCD_BW, m_btnRadioCDRBW);
	DDX_Control(pDX, IDC_RADIO_IRCD_GRAY, m_btnRadioCDIGray);
	DDX_Control(pDX, IDC_RADIO_IRCD_BW, m_btnRadioCDIBW);
	DDX_Control(pDX, IDC_EDIT_SC_NUMBEROFDOCUMENTS, m_edtEditNumberOfDocuments);
	DDX_Control(pDX, IDC_SPIN_SC_NUMBEROFDOCUMENTS, m_spnSpinNumberOfDocuments);
	DDX_Control(pDX, IDC_CHECK_SC_SAVEFILE, m_btnCheckSCSaveFile);
	// Step 3
	DDX_Control(pDX, IDC_GROUP_MICR, m_stGroupMICR);
	DDX_Control(pDX, IDC_GROUP_MICRFONT, m_stGroupMICRFont);
	DDX_Control(pDX, IDC_RADIO_MF_E13B, m_btnRadioMFE13B);
	DDX_Control(pDX, IDC_RADIO_MF_CMC7, m_btnRadioMFCMC7);
	DDX_Control(pDX, IDC_CHECK_MI_CLEARSPACE, m_btnCheckMIClearSpace);
	DDX_Control(pDX, IDC_CHECK_MI_SAVEFILE, m_btnCheckMISaveFile);
	// Step 8
	DDX_Control(pDX, IDC_GROUP_ERROR, m_stGroupError);
	DDX_Control(pDX, IDC_GROUP_PAPERINSERTION, m_stGroupPaperInsertion);
	DDX_Control(pDX, IDC_GROUP_NOISE, m_stGroupNoise);
	DDX_Control(pDX, IDC_GROUP_DOUBLEFEED, m_stGroupDoubleFeed);
	DDX_Control(pDX, IDC_GROUP_BADDATA, m_stGroupBadData);
	DDX_Control(pDX, IDC_GROUP_NODATA, m_stGroupNoData);
	DDX_Control(pDX, IDC_GROUP_BARCODE, m_stGroupBarcode);

	DDX_Control(pDX, IDC_CHECK_PI_DETECT, m_btnCheckPIDetect);
	DDX_Control(pDX, IDC_CHECK_PI_CANCEL, m_btnCheckPICancel);
	DDX_Control(pDX, IDC_CHECK_NO_DETECT, m_btnCheckNODetect);
	DDX_Control(pDX, IDC_CHECK_NO_CANCEL, m_btnCheckNOCancel);
	DDX_Control(pDX, IDC_CHECK_DF_DETECT, m_btnCheckDFDetect);
	DDX_Control(pDX, IDC_CHECK_DF_CANCEL, m_btnCheckDFCancel);
	DDX_Control(pDX, IDC_CHECK_BD_DETECT, m_btnCheckBDDetect);
	DDX_Control(pDX, IDC_CHECK_BD_CANCEL, m_btnCheckBDCancel);
	DDX_Control(pDX, IDC_CHECK_ND_DETECT, m_btnCheckNDDetect);
	DDX_Control(pDX, IDC_CHECK_ND_CANCEL, m_btnCheckNDCancel);
	DDX_Control(pDX, IDC_CHECK_BA_DETECT, m_btnCheckBADetect);
	DDX_Control(pDX, IDC_CHECK_BA_CANCEL, m_btnCheckBACancel);

	DDX_Control(pDX, IDC_STATIC_PI_EJECTPOCKET, m_stPIEjectPocket);
	DDX_Control(pDX, IDC_COMBO_PI_EJECTPOCKET, m_cmbPIEjectPocket);
	DDX_Control(pDX, IDC_STATIC_NO_EJECTPOCKET, m_stNOEjectPocket);
	DDX_Control(pDX, IDC_COMBO_NO_EJECTPOCKET, m_cmbNOEjectPocket);
	DDX_Control(pDX, IDC_STATIC_DF_EJECTPOCKET, m_stDFEjectPocket);
	DDX_Control(pDX, IDC_COMBO_DF_EJECTPOCKET, m_cmbDFEjectPocket);
	DDX_Control(pDX, IDC_STATIC_BD_EJECTPOCKET, m_stBDEjectPocket);
	DDX_Control(pDX, IDC_COMBO_BD_EJECTPOCKET, m_cmbBDEjectPocket);
	DDX_Control(pDX, IDC_STATIC_ND_EJECTPOCKET, m_stNDEjectPocket);
	DDX_Control(pDX, IDC_COMBO_ND_EJECTPOCKET, m_cmbNDEjectPocket);
	DDX_Control(pDX, IDC_STATIC_BA_EJECTPOCKET, m_stBAEjectPocket);
	DDX_Control(pDX, IDC_COMBO_BA_EJECTPOCKET, m_cmbBAEjectPocket);
	DDX_Control(pDX, IDC_LIST_BARCODE_TYPE, m_lstBarcodeType);
	DDX_Control(pDX, IDC_GROUP_BARCODE_TYPE, m_stGroupBarcodeType);
}

BEGIN_MESSAGE_MAP(CConfigureDlg, CDialog)
	// Step 2
	ON_BN_CLICKED(IDOK, &CConfigureDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CConfigureDlg::OnBnClickedCancel)
	ON_BN_CLICKED(IDC_RADIO_SM_CHECKPAPER, &CConfigureDlg::OnChangeRadioScanningMedia)
	ON_BN_CLICKED(IDC_RADIO_SM_CARD,       &CConfigureDlg::OnChangeRadioScanningMedia)
	ON_BN_CLICKED(IDC_RADIO_IC_RGB,   &CConfigureDlg::OnChangeRadioLightSource)
	ON_BN_CLICKED(IDC_RADIO_IC_IR,    &CConfigureDlg::OnChangeRadioLightSource)
	ON_BN_CLICKED(IDC_RADIO_IC_RGBIR, &CConfigureDlg::OnChangeRadioLightSource)
	// Step 8
	ON_BN_CLICKED(IDC_CHECK_PI_DETECT, &CConfigureDlg::OnChangeCheckPaperInsertionDetect)
	ON_BN_CLICKED(IDC_CHECK_NO_DETECT, &CConfigureDlg::OnChangeCheckNoiseDetect)
	ON_BN_CLICKED(IDC_CHECK_DF_DETECT, &CConfigureDlg::OnChangeCheckDoubleFeedDetect)
	ON_BN_CLICKED(IDC_CHECK_BD_DETECT, &CConfigureDlg::OnChangeCheckBadDataDetect)
	ON_BN_CLICKED(IDC_CHECK_ND_DETECT, &CConfigureDlg::OnChangeCheckNoDataDetect)
	ON_BN_CLICKED(IDC_CHECK_BA_DETECT, &CConfigureDlg::OnChangeCheckBarcodeDetect)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////
// CConfigureDlg message handlers
/////////////////////////////////////////////////////////////////

BOOL CConfigureDlg::OnInitDialog(void)
{
	CDialog::OnInitDialog();

	LoadResourceString();

	SetControlData();

	UpdateControls();

	return TRUE;  // return TRUE unless you set the focus to a control
}

void CConfigureDlg::SetConfigData( CONFIGDATA sConfigData )
{
	m_sConfigData.Copy( sConfigData );
}

void CConfigureDlg::GetConfigData( LPCONFIGDATA psConfigData )
{
	if( psConfigData != NULL )
	{
		psConfigData->Copy( m_sConfigData );
	}
}

void CConfigureDlg::LoadResourceString(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	m_btnOK.SetWindowText( STR_CONFIGDLG_BUTTON_OK );
	m_btnCancel.SetWindowText( STR_CONFIGDLG_BUTTON_CANCEL );

	m_stGroupScanning.SetWindowText( STR_CONFIGDLG_GROUP_SCANNING );
	m_stGroupScanningMedia.SetWindowText( STR_CONFIGDLG_GROUP_SCANNINGMEDIA );
	m_stGroupLightSource.SetWindowText( STR_CONFIGDLG_GROUP_LIGHTSOURCE );
	m_stGroupRGBColorDepth.SetWindowText( STR_CONFIGDLG_GROUP_RGBCOLORDEPTH );
	m_stGroupIRColorDepth.SetWindowText( STR_CONFIGDLG_GROUP_IRCOLORDEPTH );

	m_stResolution.SetWindowText( STR_CONFIGDLG_STATIC_RESOLUTION );

	m_btnRadioSMCheckPaper.SetWindowText( STR_CONFIGDLG_RADIO_SM_CHECKPAPER );
	m_btnRadioSMCard.SetWindowText( STR_CONFIGDLG_RADIO_SM_CARD );
	m_btnRadioICRGB.SetWindowText( STR_CONFIGDLG_RADIO_IC_RGB );
	m_btnRadioICIR.SetWindowText( STR_CONFIGDLG_RADIO_IC_IR );
	m_btnRadioICRGBIR.SetWindowText( STR_CONFIGDLG_RADIO_IC_RGBIR );
	m_btnRadioCDRColor.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_COLOR );
	m_btnRadioCDRGray.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_GRAY );
	m_btnRadioCDRBW.SetWindowText( STR_CONFIGDLG_RADIO_RGBCD_BW );
	m_btnRadioCDIGray.SetWindowText( STR_CONFIGDLG_RADIO_IRCD_GRAY );
	m_btnRadioCDIBW.SetWindowText( STR_CONFIGDLG_RADIO_IRCD_BW );
	m_btnCheckSCSaveFile.SetWindowText( STR_CONFIGDLG_CHECK_SC_SAVEFILE );

	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_600600 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_240240 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_120120 );
	m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_100100 );

	////////////////
	//// Step 3 ////
	////////////////

	m_stGroupMICR.SetWindowText( STR_CONFIGDLG_GROUP_MICR );
	m_stGroupMICRFont.SetWindowText( STR_CONFIGDLG_GROUP_MICRFONT );

	m_btnRadioMFE13B.SetWindowText( STR_CONFIGDLG_RADIO_MF_E13B );
	m_btnRadioMFCMC7.SetWindowText( STR_CONFIGDLG_RADIO_MF_CMC7 );

	m_btnCheckMIClearSpace.SetWindowText( STR_CONFIGDLG_CHECK_MI_CLEARSPACE );
	m_btnCheckMISaveFile.SetWindowText( STR_CONFIGDLG_CHECK_MI_SAVEFILE );

	////////////////
	//// Step 8 ////
	////////////////

	m_stGroupError.SetWindowText( STR_CONFIGDLG_GROUP_ERROR );
	m_stGroupPaperInsertion.SetWindowText( STR_CONFIGDLG_GROUP_PAPERINSERTION );
	m_stGroupNoise.SetWindowText( STR_CONFIGDLG_GROUP_NOISE );
	m_stGroupDoubleFeed.SetWindowText( STR_CONFIGDLG_GROUP_DOUBLEFEED );
	m_stGroupBadData.SetWindowText( STR_CONFIGDLG_GROUP_BADDATA );
	m_stGroupNoData.SetWindowText( STR_CONFIGDLG_GROUP_NODATA );
	m_stGroupBarcode.SetWindowText( STR_CONFIGDLG_GROUP_BARCODE );

	m_btnCheckPIDetect.SetWindowText( STR_CONFIGDLG_CHECK_PI_DETECT );
	m_btnCheckPICancel.SetWindowText( STR_CONFIGDLG_CHECK_PI_CANCEL );
	m_btnCheckNODetect.SetWindowText( STR_CONFIGDLG_CHECK_NO_DETECT );
	m_btnCheckNOCancel.SetWindowText( STR_CONFIGDLG_CHECK_NO_CANCEL );
	m_btnCheckDFDetect.SetWindowText( STR_CONFIGDLG_CHECK_DF_DETECT );
	m_btnCheckDFCancel.SetWindowText( STR_CONFIGDLG_CHECK_DF_CANCEL );
	m_btnCheckBDDetect.SetWindowText( STR_CONFIGDLG_CHECK_BD_DETECT );
	m_btnCheckBDCancel.SetWindowText( STR_CONFIGDLG_CHECK_BD_CANCEL );
	m_btnCheckNDDetect.SetWindowText( STR_CONFIGDLG_CHECK_ND_DETECT );
	m_btnCheckNDCancel.SetWindowText( STR_CONFIGDLG_CHECK_ND_CANCEL );
	m_btnCheckBADetect.SetWindowText( STR_CONFIGDLG_CHECK_BA_DETECT );
	m_btnCheckBACancel.SetWindowText( STR_CONFIGDLG_CHECK_BA_CANCEL );
	
	m_stPIEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_PI_EJECTPOCKET );
	m_stNOEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_NO_EJECTPOCKET );
	m_stDFEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_DF_EJECTPOCKET );
	m_stBDEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_BD_EJECTPOCKET );
	m_stNDEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_ND_EJECTPOCKET );
	m_stBAEjectPocket.SetWindowText( STR_CONFIGDLG_STATIC_BA_EJECTPOCKET );

	m_cmbPIEjectPocket.AddString( STR_CONFIGDLG_COMBO_PI_EJ_MAINPOCKET );
	m_cmbPIEjectPocket.AddString( STR_CONFIGDLG_COMBO_PI_EJ_SUBPOCKET );
	m_cmbNOEjectPocket.AddString( STR_CONFIGDLG_COMBO_NO_EJ_MAINPOCKET );
	m_cmbNOEjectPocket.AddString( STR_CONFIGDLG_COMBO_NO_EJ_SUBPOCKET );
	m_cmbDFEjectPocket.AddString( STR_CONFIGDLG_COMBO_DF_EJ_MAINPOCKET );
	m_cmbDFEjectPocket.AddString( STR_CONFIGDLG_COMBO_DF_EJ_SUBPOCKET );
	m_cmbBDEjectPocket.AddString( STR_CONFIGDLG_COMBO_BD_EJ_MAINPOCKET );
	m_cmbBDEjectPocket.AddString( STR_CONFIGDLG_COMBO_BD_EJ_SUBPOCKET );
	m_cmbNDEjectPocket.AddString( STR_CONFIGDLG_COMBO_ND_EJ_MAINPOCKET );
	m_cmbNDEjectPocket.AddString( STR_CONFIGDLG_COMBO_ND_EJ_SUBPOCKET );
	m_cmbBAEjectPocket.AddString( STR_CONFIGDLG_COMBO_BA_EJ_MAINPOCKET );
	m_cmbBAEjectPocket.AddString( STR_CONFIGDLG_COMBO_BA_EJ_SUBPOCKET );

	////////////////
	//// Step 8 ////
	////////////////

	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_CODABAR );
	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_CODE128 );
	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_CODE39  );
	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_ITF     );
	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_EAN_JAN );
	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_UPC_A   );
	m_lstBarcodeType.AddString( STR_CONFIGDLG_LIST_BARCODE_SYMBOL_UPC_E   );
}

void CConfigureDlg::SetControlData(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	switch( m_sConfigData.nRadio_ScanningMedia )
	{
		case VAL_CONFIGDLG_RADIO_SM_CHECKPAPER:
			m_btnRadioSMCheckPaper.SetCheck(1);
			m_btnRadioSMCard.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_SM_CARD:
			m_btnRadioSMCheckPaper.SetCheck(0);
			m_btnRadioSMCard.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_LightSourceToScan )
	{
		case VAL_CONFIGDLG_RADIO_IC_RGB:
			m_btnRadioICRGB.SetCheck(1);
			m_btnRadioICIR.SetCheck(0);
			m_btnRadioICRGBIR.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IC_IR:
			m_btnRadioICRGB.SetCheck(0);
			m_btnRadioICIR.SetCheck(1);
			m_btnRadioICRGBIR.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IC_RGBIR:
			m_btnRadioICRGB.SetCheck(0);
			m_btnRadioICIR.SetCheck(0);
			m_btnRadioICRGBIR.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_RGBColorDepth )
	{
		case VAL_CONFIGDLG_RADIO_RGBCD_COLOR:
			m_btnRadioCDRColor.SetCheck(1);
			m_btnRadioCDRGray.SetCheck(0);
			m_btnRadioCDRBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_RGBCD_GRAY:
			m_btnRadioCDRColor.SetCheck(0);
			m_btnRadioCDRGray.SetCheck(1);
			m_btnRadioCDRBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_RGBCD_BW:
			m_btnRadioCDRColor.SetCheck(0);
			m_btnRadioCDRGray.SetCheck(0);
			m_btnRadioCDRBW.SetCheck(1);
			break;
		default:
			break;
	}
	switch( m_sConfigData.nRadio_IRColorDepth )
	{
		case VAL_CONFIGDLG_RADIO_IRCD_GRAY:
			m_btnRadioCDIGray.SetCheck(1);
			m_btnRadioCDIBW.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_IRCD_BW:
			m_btnRadioCDIGray.SetCheck(0);
			m_btnRadioCDIBW.SetCheck(1);
			break;
		default:
			break;
	}

	m_cmbResolution.SetCurSel( m_sConfigData.nCombo_Resolution );

	CString strTmp;
	strTmp.Format( _T("%d"), m_sConfigData.nEdit_NumberOfDocuments );
	m_edtEditNumberOfDocuments.SetWindowText( strTmp );
	m_spnSpinNumberOfDocuments.SetRange32(0, 255);
	m_spnSpinNumberOfDocuments.SetPos32( m_sConfigData.nEdit_NumberOfDocuments );

	m_btnCheckSCSaveFile.SetCheck( m_sConfigData.nCheck_Scan_SaveFile );

	////////////////
	//// Step 3 ////
	////////////////

	switch( m_sConfigData.nRadio_MICRFont )
	{
		case VAL_CONFIGDLG_RADIO_MF_E13B:
			m_btnRadioMFE13B.SetCheck(1);
			m_btnRadioMFCMC7.SetCheck(0);
			break;
		case VAL_CONFIGDLG_RADIO_MF_CMC7:
			m_btnRadioMFE13B.SetCheck(0);
			m_btnRadioMFCMC7.SetCheck(1);
			break;
		default:
			break;
	}

	m_btnCheckMIClearSpace.SetCheck( m_sConfigData.nCheck_MICR_ClearSpace );
	m_btnCheckMISaveFile.SetCheck  ( m_sConfigData.nCheck_MICR_SaveFile );

	////////////////
	//// Step 8 ////
	////////////////

	m_btnCheckPIDetect.SetCheck( m_sConfigData.nCheck_PI_Detect );
	m_btnCheckPICancel.SetCheck( m_sConfigData.nCheck_PI_Cancel );
	m_btnCheckNODetect.SetCheck( m_sConfigData.nCheck_NO_Detect );
	m_btnCheckNOCancel.SetCheck( m_sConfigData.nCheck_NO_Cancel );
	m_btnCheckDFDetect.SetCheck( m_sConfigData.nCheck_DF_Detect );
	m_btnCheckDFCancel.SetCheck( m_sConfigData.nCheck_DF_Cancel );
	m_btnCheckBDDetect.SetCheck( m_sConfigData.nCheck_BD_Detect );
	m_btnCheckBDCancel.SetCheck( m_sConfigData.nCheck_BD_Cancel );
	m_btnCheckNDDetect.SetCheck( m_sConfigData.nCheck_ND_Detect );
	m_btnCheckNDCancel.SetCheck( m_sConfigData.nCheck_ND_Cancel );
	m_btnCheckBADetect.SetCheck( m_sConfigData.nCheck_BA_Detect );
	m_btnCheckBACancel.SetCheck( m_sConfigData.nCheck_BA_Cancel );

	m_cmbPIEjectPocket.SetCurSel( m_sConfigData.nCombo_PI_EjectPocket );
	m_cmbNOEjectPocket.SetCurSel( m_sConfigData.nCombo_NO_EjectPocket );
	m_cmbDFEjectPocket.SetCurSel( m_sConfigData.nCombo_DF_EjectPocket );
	m_cmbBDEjectPocket.SetCurSel( m_sConfigData.nCombo_BD_EjectPocket );
	m_cmbNDEjectPocket.SetCurSel( m_sConfigData.nCombo_ND_EjectPocket );
	m_cmbBAEjectPocket.SetCurSel( m_sConfigData.nCombo_BA_EjectPocket );

	////////////////
	//// Step 8 ////
	////////////////

	m_lstBarcodeType.SetCheck( 0, m_sConfigData.bCheck_BT_SymbolCodabar ? 1 : 0 );
	m_lstBarcodeType.SetCheck( 1, m_sConfigData.bCheck_BT_SymbolCode128 ? 1 : 0 );
	m_lstBarcodeType.SetCheck( 2, m_sConfigData.bCheck_BT_SymbolCode39  ? 1 : 0 );
	m_lstBarcodeType.SetCheck( 3, m_sConfigData.bCheck_BT_SymbolITF     ? 1 : 0 );
	m_lstBarcodeType.SetCheck( 4, m_sConfigData.bCheck_BT_SymbolEAN     ? 1 : 0 );
	m_lstBarcodeType.SetCheck( 5, m_sConfigData.bCheck_BT_SymbolUPCA    ? 1 : 0 );
	m_lstBarcodeType.SetCheck( 6, m_sConfigData.bCheck_BT_SymbolUPCE    ? 1 : 0 );
}

void CConfigureDlg::GetControlData(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CHECKPAPER;
	}
	else if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_ScanningMedia = VAL_CONFIGDLG_RADIO_SM_CARD;
	}
	else
	{
		ASSERT(FALSE);
	}

	if( m_btnRadioICRGB.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_LightSourceToScan = VAL_CONFIGDLG_RADIO_IC_RGB;
	}
	else if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_LightSourceToScan = VAL_CONFIGDLG_RADIO_IC_IR;
	}
	else if( m_btnRadioICRGBIR.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_LightSourceToScan = VAL_CONFIGDLG_RADIO_IC_RGBIR;
	}
	else
	{
		ASSERT(FALSE);
	}

	if( m_btnRadioCDRColor.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_COLOR;
	}
	else if( m_btnRadioCDRGray.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_GRAY;
	}
	else if( m_btnRadioCDRBW.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_RGBColorDepth = VAL_CONFIGDLG_RADIO_RGBCD_BW;
	}
	else
	{
		ASSERT(FALSE);
	}

	if( m_btnRadioCDIGray.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_GRAY;
	}
	else if( m_btnRadioCDIBW.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_IRColorDepth = VAL_CONFIGDLG_RADIO_IRCD_BW;
	}
	else
	{
		ASSERT(FALSE);
	}

	m_sConfigData.nCombo_Resolution = GetValueResolutionCombobox();

	m_sConfigData.nEdit_NumberOfDocuments = m_spnSpinNumberOfDocuments.GetPos32();

	m_sConfigData.nCheck_Scan_SaveFile = m_btnCheckSCSaveFile.GetCheck();

	////////////////
	//// Step 3 ////
	////////////////

	if( m_btnRadioMFE13B.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_E13B;
	}
	else if( m_btnRadioMFCMC7.GetCheck() == 1 )
	{
		m_sConfigData.nRadio_MICRFont = VAL_CONFIGDLG_RADIO_MF_CMC7;
	}
	else
	{
		ASSERT(FALSE);
	}

	m_sConfigData.nCheck_MICR_ClearSpace = m_btnCheckMIClearSpace.GetCheck();
	m_sConfigData.nCheck_MICR_SaveFile   = m_btnCheckMISaveFile.GetCheck();

	////////////////
	//// Step 8 ////
	////////////////

	m_sConfigData.nCheck_PI_Detect		= m_btnCheckPIDetect.GetCheck();
	m_sConfigData.nCheck_PI_Cancel		= m_btnCheckPICancel.GetCheck();
	m_sConfigData.nCombo_PI_EjectPocket	= GetValuePIEjectPocketCombobox();
	m_sConfigData.nCheck_NO_Detect		= m_btnCheckNODetect.GetCheck();
	m_sConfigData.nCheck_NO_Cancel		= m_btnCheckNOCancel.GetCheck();
	m_sConfigData.nCombo_NO_EjectPocket	= GetValueNOEjectPocketCombobox();
	m_sConfigData.nCheck_DF_Detect		= m_btnCheckDFDetect.GetCheck();
	m_sConfigData.nCheck_DF_Cancel		= m_btnCheckDFCancel.GetCheck();
	m_sConfigData.nCombo_DF_EjectPocket	= GetValueDFEjectPocketCombobox();
	m_sConfigData.nCheck_BD_Detect		= m_btnCheckBDDetect.GetCheck();
	m_sConfigData.nCheck_BD_Cancel		= m_btnCheckBDCancel.GetCheck();
	m_sConfigData.nCombo_BD_EjectPocket	= GetValueBDEjectPocketCombobox();
	m_sConfigData.nCheck_ND_Detect		= m_btnCheckNDDetect.GetCheck();
	m_sConfigData.nCheck_ND_Cancel		= m_btnCheckNDCancel.GetCheck();
	m_sConfigData.nCombo_ND_EjectPocket	= GetValueNDEjectPocketCombobox();
	m_sConfigData.nCheck_BA_Detect		= m_btnCheckBADetect.GetCheck();
	m_sConfigData.nCheck_BA_Cancel		= m_btnCheckBACancel.GetCheck();
	m_sConfigData.nCombo_BA_EjectPocket	= GetValueBAEjectPocketCombobox();

	////////////////
	//// Step 8 ////
	////////////////

	m_sConfigData.bCheck_BT_SymbolCodabar = (m_lstBarcodeType.GetCheck( 0 ) == 1);
	m_sConfigData.bCheck_BT_SymbolCode128 = (m_lstBarcodeType.GetCheck( 1 ) == 1);
	m_sConfigData.bCheck_BT_SymbolCode39  = (m_lstBarcodeType.GetCheck( 2 ) == 1);
	m_sConfigData.bCheck_BT_SymbolITF     = (m_lstBarcodeType.GetCheck( 3 ) == 1);
	m_sConfigData.bCheck_BT_SymbolEAN     = (m_lstBarcodeType.GetCheck( 4 ) == 1);
	m_sConfigData.bCheck_BT_SymbolUPCA    = (m_lstBarcodeType.GetCheck( 5 ) == 1);
	m_sConfigData.bCheck_BT_SymbolUPCE    = (m_lstBarcodeType.GetCheck( 6 ) == 1);
}

void CConfigureDlg::UpdateControls(void)
{
	////////////////
	//// Step 2 ////
	////////////////

	// LightSource
	if( m_btnRadioSMCard.GetCheck() == 1 &&
		m_sConfigData.bIsScanningCardIR1PassSupported == FALSE )
	{
		m_btnRadioICRGBIR.EnableWindow( FALSE );
		
		if(m_btnRadioICRGBIR.GetCheck() == 1)
		{
			m_btnRadioICIR.SetCheck(1);
			m_btnRadioICRGBIR.SetCheck(0);
		}
	}
	else
	{
		m_btnRadioICRGBIR.EnableWindow( TRUE );
	}

	// RGB ColorDepth Color
	if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_btnRadioCDRColor.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRColor.EnableWindow( TRUE );
	}

	// RGB ColorDepth Gray
	if( m_btnRadioICIR.GetCheck() == 1 )
	{
		m_btnRadioCDRGray.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRGray.EnableWindow( TRUE );
	}

	// RGB ColorDepth B/W
	if( m_btnRadioICIR.GetCheck() == 1 || m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioCDRBW.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDRBW.EnableWindow( TRUE );
	}

	// IR ColorDepth Gray
	if( m_btnRadioICRGB.GetCheck() == 1 )
	{
		m_btnRadioCDIGray.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDIGray.EnableWindow( TRUE );
	}

	// IR ColorDepth B/W
	if( m_btnRadioICRGB.GetCheck() == 1 || m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioCDIBW.EnableWindow( FALSE );
	}
	else
	{
		m_btnRadioCDIBW.EnableWindow( TRUE );
	}

	if( m_btnRadioCDRBW.GetCheck() == 1 && m_btnRadioCDRGray.IsWindowEnabled() && !m_btnRadioCDRBW.IsWindowEnabled() )
	{
		m_btnRadioCDRColor.SetCheck(0);
		m_btnRadioCDRGray.SetCheck(1);
		m_btnRadioCDRBW.SetCheck(0);
	}
	if( m_btnRadioCDIBW.GetCheck() == 1 && m_btnRadioCDIGray.IsWindowEnabled() && !m_btnRadioCDIBW.IsWindowEnabled() )
	{
		m_btnRadioCDIGray.SetCheck(1);
		m_btnRadioCDIBW.SetCheck(0);
	}

	// Updating resolution options for scanning unit
	CString strResolution;
	m_cmbResolution.GetLBText(m_cmbResolution.GetCurSel(), strResolution);
	if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_cmbResolution.ResetContent();
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_240240 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_120120 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_100100 );
		m_cmbResolution.SetCurSel(2);
	}
	else if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_cmbResolution.ResetContent();
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_600600 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_300300 );
		m_cmbResolution.AddString( STR_CONFIGDLG_COMBO_RE_200200 );
		m_cmbResolution.SetCurSel(1);
	}
	else
	{
		ASSERT(FALSE);
	}
	// restore the selection.
	int nIndex = m_cmbResolution.FindString(-1, strResolution);
	if (nIndex != CB_ERR)
	{
		m_cmbResolution.SetCurSel(nIndex);
	}

	////////////////
	//// Step 3 ////
	////////////////

	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnRadioMFE13B.EnableWindow( false );
		m_btnRadioMFCMC7.EnableWindow( false );
		m_btnCheckMIClearSpace.EnableWindow( false );
		m_btnCheckMISaveFile.EnableWindow( false );
	}
	else if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_btnRadioMFE13B.EnableWindow( true );
		m_btnRadioMFCMC7.EnableWindow( true );
		m_btnCheckMIClearSpace.EnableWindow( true );
		m_btnCheckMISaveFile.EnableWindow( true );
	}
	else
	{
		ASSERT(FALSE);
	}

	////////////////
	//// Step 8 ////
	////////////////

	if( m_btnRadioSMCard.GetCheck() == 1 )
	{
		m_btnCheckPIDetect.EnableWindow( false );
		m_btnCheckNODetect.EnableWindow( false );
		m_btnCheckDFDetect.EnableWindow( false );
		m_btnCheckBDDetect.EnableWindow( false );
		m_btnCheckNDDetect.EnableWindow( false );
		m_btnCheckBADetect.EnableWindow( false );
	}
	else if( m_btnRadioSMCheckPaper.GetCheck() == 1 )
	{
		m_btnCheckPIDetect.EnableWindow( true );
		m_btnCheckNODetect.EnableWindow( true );
		m_btnCheckDFDetect.EnableWindow( true );
		m_btnCheckBDDetect.EnableWindow( true );
		m_btnCheckNDDetect.EnableWindow( true );
		m_btnCheckBADetect.EnableWindow( true );
	}
	else
	{
		ASSERT(FALSE);
	}

	// Paper Insertion
	if( m_btnCheckPIDetect.GetCheck() == 1 && m_btnCheckPIDetect.IsWindowEnabled() == TRUE )
	{
		m_btnCheckPICancel.EnableWindow( true );
		m_cmbPIEjectPocket.EnableWindow( true );
	}
	else
	{
		m_btnCheckPICancel.EnableWindow( false );
		m_cmbPIEjectPocket.EnableWindow( false );
	}
	
	// Noise
	if( m_btnCheckNODetect.GetCheck() == 1 && m_btnCheckNODetect.IsWindowEnabled() == TRUE )
	{
		m_btnCheckNOCancel.EnableWindow( true );
		m_cmbNOEjectPocket.EnableWindow( true );
	}
	else
	{
		m_btnCheckNOCancel.EnableWindow( false );
		m_cmbNOEjectPocket.EnableWindow( false );
	}
	
	// Double Feed
	if( m_btnCheckDFDetect.GetCheck() == 1 && m_btnCheckDFDetect.IsWindowEnabled() == TRUE )
	{
		m_btnCheckDFCancel.EnableWindow( true );
		m_cmbDFEjectPocket.EnableWindow( true );
	}
	else
	{
		m_btnCheckDFCancel.EnableWindow( false );
		m_cmbDFEjectPocket.EnableWindow( false );
	}
	
	// Bad Data
	if( m_btnCheckBDDetect.GetCheck() == 1 && m_btnCheckBDDetect.IsWindowEnabled() == TRUE )
	{
		m_btnCheckBDCancel.EnableWindow( true );
		m_cmbBDEjectPocket.EnableWindow( true );
	}
	else
	{
		m_btnCheckBDCancel.EnableWindow( false );
		m_cmbBDEjectPocket.EnableWindow( false );
	}
	
	// No Data
	if( m_btnCheckNDDetect.GetCheck() == 1 && m_btnCheckNDDetect.IsWindowEnabled() == TRUE )
	{
		m_btnCheckNDCancel.EnableWindow( true );
		m_cmbNDEjectPocket.EnableWindow( true );
	}
	else
	{
		m_btnCheckNDCancel.EnableWindow( false );
		m_cmbNDEjectPocket.EnableWindow( false );
	}
	
	// Barcode
	if( m_btnCheckBADetect.GetCheck() == 1 && m_btnCheckBADetect.IsWindowEnabled() == TRUE )
	{
		m_btnCheckBACancel.EnableWindow( true );
		m_cmbBAEjectPocket.EnableWindow( true );
	}
	else
	{
		m_btnCheckBACancel.EnableWindow( false );
		m_cmbBAEjectPocket.EnableWindow( false );
	}
}

////////////////
//// Step 2 ////
////////////////

void CConfigureDlg::OnBnClickedOk(void)
{
	GetControlData();
	OnOK();
}

void CConfigureDlg::OnBnClickedCancel(void)
{
	OnCancel();
}

void CConfigureDlg::OnChangeRadioScanningMedia(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeRadioLightSource(void)
{
	UpdateControls();
}

////////////////
//// Step 8 ////
////////////////

void CConfigureDlg::OnChangeCheckPaperInsertionDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckNoiseDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckDoubleFeedDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckBadDataDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckNoDataDetect(void)
{
	UpdateControls();
}

void CConfigureDlg::OnChangeCheckBarcodeDetect(void)
{
	UpdateControls();
}

////////////////
//// Step 2 ////
////////////////

void CConfigureDlg::SetIndexResolutionCombobox( int nResolution )
{
	CString strResolution;
	switch (nResolution)
	{
		case VAL_CONFIGDLG_COMBO_RE_600600: strResolution = STR_CONFIGDLG_COMBO_RE_600600; break;
		case VAL_CONFIGDLG_COMBO_RE_300300: strResolution = STR_CONFIGDLG_COMBO_RE_300300; break;
		case VAL_CONFIGDLG_COMBO_RE_240240: strResolution = STR_CONFIGDLG_COMBO_RE_240240; break;
		case VAL_CONFIGDLG_COMBO_RE_200200: strResolution = STR_CONFIGDLG_COMBO_RE_200200; break;
		case VAL_CONFIGDLG_COMBO_RE_120120: strResolution = STR_CONFIGDLG_COMBO_RE_120120; break;
		case VAL_CONFIGDLG_COMBO_RE_100100: strResolution = STR_CONFIGDLG_COMBO_RE_100100; break;
		default:
			ASSERT(FALSE);
			return;
	}
	int nIndex = m_cmbResolution.FindString(-1, strResolution);
	if (nIndex != CB_ERR)
	{
		m_cmbResolution.SetCurSel(nIndex);
	}
	else
	{
		m_cmbResolution.SetCurSel(0);
	}
	return;
}

int CConfigureDlg::GetValueResolutionCombobox(void)
{
	CString strResolution;
	m_cmbResolution.GetLBText( m_cmbResolution.GetCurSel(), strResolution );

	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_600600 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_600600;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_300300 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_300300;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_240240 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_240240;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_200200 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_200200;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_120120 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_120120;
	}
	if( strResolution.CompareNoCase( STR_CONFIGDLG_COMBO_RE_100100 ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_RE_100100;
	}

	return -1;
}

////////////////
//// Step 8 ////
////////////////

int CConfigureDlg::GetValuePIEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbPIEjectPocket.GetLBText( m_cmbPIEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_PI_EJ_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_PI_EP_MAINPOCKET;
	}
	else if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_PI_EJ_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_PI_EP_SUBPOCKET;
	}

	return -1;
}

int CConfigureDlg::GetValueNOEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbNOEjectPocket.GetLBText( m_cmbNOEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_NO_EJ_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_NO_EP_MAINPOCKET;
	}
	else if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_NO_EJ_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_NO_EP_SUBPOCKET;
	}

	return -1;
}

int CConfigureDlg::GetValueDFEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbDFEjectPocket.GetLBText( m_cmbDFEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_DF_EJ_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_DF_EP_MAINPOCKET;
	}
	else if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_DF_EJ_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_DF_EP_SUBPOCKET;
	}

	return -1;
}

int CConfigureDlg::GetValueBDEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbBDEjectPocket.GetLBText( m_cmbBDEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_BD_EJ_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_BD_EP_MAINPOCKET;
	}
	else if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_BD_EJ_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_BD_EP_SUBPOCKET;
	}

	return -1;
}

int CConfigureDlg::GetValueNDEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbNDEjectPocket.GetLBText( m_cmbNDEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_ND_EJ_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_ND_EP_MAINPOCKET;
	}
	else if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_ND_EJ_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_ND_EP_SUBPOCKET;
	}

	return -1;
}

int CConfigureDlg::GetValueBAEjectPocketCombobox(void)
{
	CString strEjectPocket;
	m_cmbBAEjectPocket.GetLBText( m_cmbBAEjectPocket.GetCurSel(), strEjectPocket );

	if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_BA_EJ_MAINPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_BA_EP_MAINPOCKET;
	}
	else if( strEjectPocket.CompareNoCase( STR_CONFIGDLG_COMBO_BA_EJ_SUBPOCKET ) == 0 )
	{
		return VAL_CONFIGDLG_COMBO_BA_EP_SUBPOCKET;
	}

	return -1;
}
