Imports com.epson.bank.driver

Namespace TMS_Sample
	Class COcrABResult
		Private m_nTransactionNumber As Integer
		Private m_errRet As ErrorCode
		Private m_szOcrStr As String
		Private m_stOcrReliableInfo As MFOcrAb.OcrReliableInfoClass

		Public Sub New()
			m_nTransactionNumber = 0
			m_errRet = ErrorCode.SUCCESS
			m_szOcrStr = Nothing
		End Sub

		Public Sub SetTransactionNumber(nTransactionNumber As Integer)
			m_nTransactionNumber = nTransactionNumber
		End Sub

		Public Function GetTransactionNumber() As Integer
			Return m_nTransactionNumber
		End Function

		Public Sub SetResult(errRet As ErrorCode)
			m_errRet = errRet
		End Sub

		Public Function GetResult() As ErrorCode
			Return m_errRet
		End Function

		Public Sub SetOcrStr(szOcrStr As String)
			m_szOcrStr = szOcrStr.TrimEnd(ControlChars.NullChar)
		End Sub

		Public Function GetOcrStr() As String
			Return m_szOcrStr
		End Function

		Public Sub SetOcrReliableInfo(stOcrReliableInfo As MFOcrAb.OcrReliableInfoClass)
			m_stOcrReliableInfo = stOcrReliableInfo
		End Sub

		Public Function GetOcrReliableInfo() As MFOcrAb.OcrReliableInfoClass
			Return m_stOcrReliableInfo
		End Function
	End Class
End Namespace
