Imports com.epson.bank.driver

Namespace TMS_Sample
	Public Class CIqaResult
		Private m_eUndersize As MfIqaResultValue
		Private m_eOversize As MfIqaResultValue
		Private m_eMinCompressed As MfIqaResultValue
		Private m_eMaxCompressed As MfIqaResultValue
		Private m_eFrontRearImageMismatch As MfIqaResultValue
		Private m_eImageTooLight As MfIqaResultValue
		Private m_eImageTooDark As MfIqaResultValue
		Private m_eHorizontalStreaksPresent As MfIqaResultValue
		Private m_eSpotNosise As MfIqaResultValue
		Private m_eOutOfFocus As MfIqaResultValue
		Private m_eFoldedTornCorner As MfIqaResultValue
		Private m_eFoldedTornEdge As MfIqaResultValue
		Private m_eFramingError As MfIqaResultValue
		Private m_eExcessiveSkew As MfIqaResultValue
		Private m_eCarbonStripDetection As MfIqaResultValue
		Private m_ePiggyback As MfIqaResultValue
		Private m_ePartialImage As MfIqaResultValue

		Public Sub New()
			m_eUndersize = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eOversize = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eMinCompressed = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eMaxCompressed = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eFrontRearImageMismatch = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eImageTooLight = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eImageTooDark = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eHorizontalStreaksPresent = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eSpotNosise = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eOutOfFocus = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eFoldedTornCorner = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eFoldedTornEdge = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eFramingError = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eExcessiveSkew = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_eCarbonStripDetection = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_ePiggyback = MfIqaResultValue.IQARESULT_NOT_TESTED
			m_ePartialImage = MfIqaResultValue.IQARESULT_NOT_TESTED
		End Sub

		Public Sub SetUnderSize(eUndersize As MfIqaResultValue)
			m_eUndersize = eUndersize
		End Sub
		Public Function GetUnderSize() As MfIqaResultValue
			Return m_eUndersize
		End Function
		Public Sub SetOverSize(eOversize As MfIqaResultValue)
			m_eOversize = eOversize
		End Sub
		Public Function GetOverSize() As MfIqaResultValue
			Return m_eOversize
		End Function
		Public Sub SetMinCompressed(eMinCompressed As MfIqaResultValue)
			m_eMinCompressed = eMinCompressed
		End Sub
		Public Function GetMinCompressed() As MfIqaResultValue
			Return m_eMinCompressed
		End Function
		Public Sub SetMaxCompressed(eMaxCompressed As MfIqaResultValue)
			m_eMaxCompressed = eMaxCompressed
		End Sub
		Public Function GetMaxCompressed() As MfIqaResultValue
			Return m_eMaxCompressed
		End Function
		Public Sub SetFrontRearImageMismatch(eFrontRearImageMismatch As MfIqaResultValue)
			m_eFrontRearImageMismatch = eFrontRearImageMismatch
		End Sub
		Public Function GetFrontRearImageMismatch() As MfIqaResultValue
			Return m_eFrontRearImageMismatch
		End Function
		Public Sub SetImageTooLight(eImageTooLight As MfIqaResultValue)
			m_eImageTooLight = eImageTooLight
		End Sub
		Public Function GetImageTooLight() As MfIqaResultValue
			Return m_eImageTooLight
		End Function
		Public Sub SetImageTooDark(eImageTooDark As MfIqaResultValue)
			m_eImageTooDark = eImageTooDark
		End Sub
		Public Function GetImageTooDark() As MfIqaResultValue
			Return m_eImageTooDark
		End Function
		Public Sub SetHorizontalStreaksPresent(eHorizontalStreaksPresent As MfIqaResultValue)
			m_eHorizontalStreaksPresent = eHorizontalStreaksPresent
		End Sub
		Public Function GetHorizontalStreaksPresent() As MfIqaResultValue
			Return m_eHorizontalStreaksPresent
		End Function
		Public Sub SetSpotNosise(eSpotNosise As MfIqaResultValue)
			m_eSpotNosise = eSpotNosise
		End Sub
		Public Function GetSpotNosise() As MfIqaResultValue
			Return m_eSpotNosise
		End Function
		Public Sub SetOutOfFocus(eOutOfFocus As MfIqaResultValue)
			m_eOutOfFocus = eOutOfFocus
		End Sub
		Public Function GetOutOfFocus() As MfIqaResultValue
			Return m_eOutOfFocus
		End Function
		Public Sub SetFoldedTornCorner(eFoldedTornCorner As MfIqaResultValue)
			m_eFoldedTornCorner = eFoldedTornCorner
		End Sub
		Public Function GetFoldedTornCorner() As MfIqaResultValue
			Return m_eFoldedTornCorner
		End Function
		Public Sub SetFoldedTornEdge(eFoldedTornEdge As MfIqaResultValue)
			m_eFoldedTornEdge = eFoldedTornEdge
		End Sub
		Public Function GetFoldedTornEdge() As MfIqaResultValue
			Return m_eFoldedTornEdge
		End Function
		Public Sub SetFramingError(eFramingError As MfIqaResultValue)
			m_eFramingError = eFramingError
		End Sub
		Public Function GetFramingError() As MfIqaResultValue
			Return m_eFramingError
		End Function
		Public Sub SetExcessiveSkew(eExcessiveSkew As MfIqaResultValue)
			m_eExcessiveSkew = eExcessiveSkew
		End Sub
		Public Function GetExcessiveSkew() As MfIqaResultValue
			Return m_eExcessiveSkew
		End Function
		Public Sub SetCarbonStripDetection(eCarbonStripDetection As MfIqaResultValue)
			m_eCarbonStripDetection = eCarbonStripDetection
		End Sub
		Public Function GetCarbonStripDetection() As MfIqaResultValue
			Return m_eCarbonStripDetection
		End Function
		Public Sub SetPiggyback(ePggyback As MfIqaResultValue)
			m_ePiggyback = ePggyback
		End Sub
		Public Function GetPiggyback() As MfIqaResultValue
			Return m_ePiggyback
		End Function
		Public Sub SetPartialImage(ePartialImage As MfIqaResultValue)
			m_ePartialImage = ePartialImage
		End Sub
		Public Function GetPartialImage() As MfIqaResultValue
			Return m_ePartialImage
		End Function
	End Class
End Namespace

