Imports com.epson.bank.driver

Namespace TMS_Sample
	Class CBarcodeParam
		Private m_eBarcodeTypeMask As MfBarcodeSymbol
		Private m_eBarcodeDetect As MfErrorSelect
		Private m_eBarcodeEject As MfEject
		Private m_eBarcodeCancel As MfCancel

		Public Sub New()
			m_eBarcodeTypeMask = MfBarcodeSymbol.MF_BARCODE_SYMBOL_CODE128
			m_eBarcodeDetect = MfErrorSelect.MF_ERROR_SELECT_NODETECT
			m_eBarcodeEject = MfEject.MF_EJECT_SUB_POCKET
			m_eBarcodeCancel = MfCancel.MF_CANCEL_DISABLE
		End Sub

		Public Sub SetBarcodeTypeMask(eBarcodeTypeMask As MfBarcodeSymbol)
			m_eBarcodeTypeMask = eBarcodeTypeMask
		End Sub

		Public Function GetBarcodeTypeMask() As MfBarcodeSymbol
			Return m_eBarcodeTypeMask
		End Function

		Public Sub SetBarcodeDetect(eBarcodeDetect As MfErrorSelect)
			m_eBarcodeDetect = eBarcodeDetect
		End Sub

		Public Function GetBarcodeDetect() As MfErrorSelect
			Return m_eBarcodeDetect
		End Function

		Public Sub SetBarcodeEject(eBarcodeEject As MfEject)
			m_eBarcodeEject = eBarcodeEject
		End Sub

		Public Function GetBarcodeEject() As MfEject
			Return m_eBarcodeEject
		End Function

		Public Sub SetBarcodeCancel(eBarcodeCancel As MfCancel)
			m_eBarcodeCancel = eBarcodeCancel
		End Sub

		Public Function GetBarcodeCancel() As MfCancel
			Return m_eBarcodeCancel
		End Function
	End Class
End Namespace
