Imports com.epson.bank.driver

Namespace TMS_Sample
	Public Class CDeviceStatus
		Private m_bNoResponse As Boolean
		Private m_bOffLine As Boolean
		Private m_bCoverOpen As Boolean
		Private m_bWaitPaperEject As Boolean
		Private m_bMechanicalError As Boolean
		Private m_bUnrecoverError As Boolean
		Private m_bPaperInsermadiate As Boolean
		Private m_bReceiptNearEnd As Boolean
		' S9000 only
		Private m_bEjectSensorPaper As Boolean
		Private m_bReceiptEnd As Boolean
		' S9000 only
		Private m_bSlipPaperSize As Boolean
		Private m_bAsfPaper As Boolean
		Private m_bWaitInsert As Boolean
		Private m_bMainPocketNearFull As Boolean
		Private m_bSubPocketNearFull As Boolean

		Public Sub New()
		End Sub

		Public Sub SetNoResponse(bNoResponse As Boolean)
			m_bNoResponse = bNoResponse
		End Sub

		Public Function GetNoResponse() As Boolean
			Return m_bNoResponse
		End Function

		Public Sub SetOffLine(bOffLine As Boolean)
			m_bOffLine = bOffLine
		End Sub

		Public Function GetOffLine() As Boolean
			Return m_bOffLine
		End Function

		Public Sub SetCoverOpen(bCoverOpen As Boolean)
			m_bCoverOpen = bCoverOpen
		End Sub

		Public Function GetCoverOpen() As Boolean
			Return m_bCoverOpen
		End Function

		Public Sub SetWaitPaperEject(bWaitPaperEject As Boolean)
			m_bWaitPaperEject = bWaitPaperEject
		End Sub

		Public Function GetWaitPaperEject() As Boolean
			Return m_bWaitPaperEject
		End Function

		Public Sub SetMechanicalError(bMechanicalError As Boolean)
			m_bMechanicalError = bMechanicalError
		End Sub

		Public Function GetMechanicalError() As Boolean
			Return m_bMechanicalError
		End Function

		Public Sub SetUnrecoverError(bUnrecoverError As Boolean)
			m_bUnrecoverError = bUnrecoverError
		End Sub

		Public Function GetUnrecoverError() As Boolean
			Return m_bUnrecoverError
		End Function

		Public Sub SetPaperInsermadiate(bPaperInsermadiate As Boolean)
			m_bPaperInsermadiate = bPaperInsermadiate
		End Sub

		Public Function GetPaperInsermadiate() As Boolean
			Return m_bPaperInsermadiate
		End Function

		Public Sub SetReceiptNearEnd(bReceiptNearEnd As Boolean)
		' S9000 only
			m_bReceiptNearEnd = bReceiptNearEnd
		End Sub

		Public Function GetReceiptNearEnd() As Boolean
		' S9000 only
			Return m_bReceiptNearEnd
		End Function

		Public Sub SetEjectSensorPaper(bEjectSensorPaper As Boolean)
			m_bEjectSensorPaper = bEjectSensorPaper
		End Sub

		Public Function GetEjectSensorPaper() As Boolean
			Return m_bEjectSensorPaper
		End Function

		Public Sub SetReceiptEnd(bReceiptEnd As Boolean)
		' S9000 only
			m_bReceiptEnd = bReceiptEnd
		End Sub

		Public Function GetReceiptEnd() As Boolean
		' S9000 only
			Return m_bReceiptEnd
		End Function

		Public Sub SetSlipPaperSize(bSlipPaperSize As Boolean)
			m_bSlipPaperSize = bSlipPaperSize
		End Sub

		Public Function GetSlipPaperSize() As Boolean
			Return m_bSlipPaperSize
		End Function

		Public Sub SetAsfPaper(bAsfPaper As Boolean)
			m_bAsfPaper = bAsfPaper
		End Sub

		Public Function GetAsfPaper() As Boolean
			Return m_bAsfPaper
		End Function

		Public Sub SetWaitInsert(bWaitInsert As Boolean)
			m_bWaitInsert = bWaitInsert
		End Sub

		Public Function GetWaitInsert() As Boolean
			Return m_bWaitInsert
		End Function

		Public Sub SetMainPocketNearFull(bMainPocketNearFull As Boolean)
			m_bMainPocketNearFull = bMainPocketNearFull
		End Sub

		Public Function GetMainPocketNearFull() As Boolean
			Return m_bMainPocketNearFull
		End Function

		Public Sub SetSubPocketNearFull(bSubPocketNearFull As Boolean)
			m_bSubPocketNearFull = bSubPocketNearFull
		End Sub

		Public Function GetSubPocketNearFull() As Boolean
			Return m_bSubPocketNearFull
		End Function
	End Class
End Namespace
